Sync with portage [Mon Jan 6 21:02:41 MSK 2014].

mhiretskiy
root 10 years ago
parent e0bcee65e4
commit 3752da19c7

@ -0,0 +1,94 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/denyhosts/denyhosts-2.6-r9.ebuild,v 1.7 2014/01/06 09:42:33 ago Exp $
EAPI=5
PYTHON_COMPAT=( python{2_6,2_7} )
inherit distutils-r1 eutils readme.gentoo systemd
MY_PN="DenyHosts"
MY_P="${MY_PN}-${PV}"
DESCRIPTION="DenyHosts is a utility to help sys admins thwart ssh hackers"
HOMEPAGE="http://www.denyhosts.net"
SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="alpha amd64 arm ~hppa ppc sparc x86"
IUSE=""
DEPEND=""
RDEPEND=""
PYTHON_MODNAME="${MY_PN}"
S="${WORKDIR}/${MY_P}"
DISABLE_AUTOFORMATTING="yes"
DOC_CONTENTS="
You can configure DenyHosts to run as a daemon by running:
# rc-update add denyhosts default
or:
# systemctl enable denyhosts.service
(if you use systemd)
To run DenyHosts as a cronjob instead of a daemon add the following
to /etc/crontab
# run DenyHosts every 10 minutes
*/10 * * * * root /usr/bin/denyhosts.py -c /etc/denyhosts.conf
More information can be found at http://denyhosts.sourceforge.net/faq.html"
src_prepare() {
# changes default file installations
epatch "${FILESDIR}"/${P}-gentoo.patch
epatch "${FILESDIR}"/${P}-log-injection-regex.patch
# Multiple patches from Fedora and Debian
epatch "${FILESDIR}"/${P}-daemon-control.patch
epatch "${FILESDIR}"/${P}-defconffile.patch
epatch "${FILESDIR}"/${P}-foreground_mode.patch
epatch "${FILESDIR}"/${P}-hostname.patch
epatch "${FILESDIR}"/${P}-plugin_deny.patch
epatch "${FILESDIR}"/${P}-single_config_switch.patch
epatch "${FILESDIR}"/${P}-cve-2013-6890.patch
sed -i -e 's:DENY_THRESHOLD_VALID = 10:DENY_THRESHOLD_VALID = 5:' \
denyhosts.cfg-dist || die "sed failed"
distutils-r1_src_prepare
}
src_install() {
readme.gentoo_create_doc
dodoc CHANGELOG.txt README.txt PKG-INFO
distutils-r1_src_install
insinto /etc
insopts -m0640
newins denyhosts.cfg-dist denyhosts.conf
dodir /etc/logrotate.d
insinto /etc/logrotate.d
newins "${FILESDIR}"/${PN}.logrotate ${PN}
newinitd "${FILESDIR}"/denyhosts.init-r2 denyhosts
systemd_dounit "${FILESDIR}"/${PN}.service
# build system installs docs that we installed above
rm -f "${D}"/usr/share/denyhosts/*.txt
keepdir /var/lib/denyhosts
}
pkg_postinst() {
if [[ ! -f "${ROOT}etc/hosts.deny" ]]; then
touch "${ROOT}etc/hosts.deny"
fi
readme.gentoo_print_elog
}

@ -0,0 +1,60 @@
Subject: address remote denial of service CVE-2013-6890
From: Helmut Grohne <helmut () subdivi de>
ssh -l 'Invalid user root from 123.123.123.123' 21.21.21.21
results in a log lines
sshd[123]: Invalid user Invalid user root from 123.123.123.123 from 21.21.21.21
sshd[123]: input_userauth_request: invalid user Invalid user root from 123.123.123.123 [preauth]
sshd[123]: Connection closed by 21.21.21.21 [preauth]
and causes denyhosts to block both ips 21.21.21.21 and 123.123.123.123.
This patch tightens the regular expressions used to avoid these and similar
injections.
Index: denyhosts-2.6/DenyHosts/regex.py
===================================================================
--- denyhosts-2.6.orig/DenyHosts/regex.py 2013-12-22 11:54:42.000000000 +0100
+++ denyhosts-2.6/DenyHosts/regex.py 2013-12-22 11:55:05.000000000 +0100
@@ -6,22 +6,22 @@
#DATE_FORMAT_REGEX = re.compile(r"""(?P<month>[A-z]{3,3})\s*(?P<day>\d+)""")
-SSHD_FORMAT_REGEX = re.compile(r""".* (sshd.*:|\[sshd\]) (?P<message>.*)""")
+SSHD_FORMAT_REGEX = re.compile(r""".*? (sshd.*?:|\[sshd\]) (?P<message>.*)""")
#SSHD_FORMAT_REGEX = re.compile(r""".* sshd.*: (?P<message>.*)""")
-FAILED_ENTRY_REGEX = re.compile(r"""Failed (?P<method>.*) for (?P<invalid>invalid user |illegal user )?(?P<user>.*?) .*from (::ffff:)?(?P<host>\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})""")
+FAILED_ENTRY_REGEX = re.compile(r"""Failed (?P<method>\S*) for (?P<invalid>invalid user |illegal user )?(?P<user>.*) from (::ffff:)?(?P<host>\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})$""")
-FAILED_ENTRY_REGEX2 = re.compile(r"""(?P<invalid>(Illegal|Invalid)) user (?P<user>.*?) .*from (::ffff:)?(?P<host>\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})""")
+FAILED_ENTRY_REGEX2 = re.compile(r"""(?P<invalid>(Illegal|Invalid)) user (?P<user>.*) from (::ffff:)?(?P<host>\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})$""")
-FAILED_ENTRY_REGEX3 = re.compile(r"""Authentication failure for (?P<user>.*) .*from (::ffff:)?(?P<host>\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})""")
+FAILED_ENTRY_REGEX3 = None
-FAILED_ENTRY_REGEX4 = re.compile(r"""Authentication failure for (?P<user>.*) .*from (?P<host>.*)""")
+FAILED_ENTRY_REGEX4 = re.compile(r"""Authentication failure for (?P<user>.*) from (::ffff:)?(?P<host>\S+)$""")
-FAILED_ENTRY_REGEX5 = re.compile(r"""User (?P<user>.*) .*from (?P<host>.*) not allowed because none of user's groups are listed in AllowGroups$""")
+FAILED_ENTRY_REGEX5 = re.compile(r"""User (?P<user>.*) from (::ffff:)?(?P<host>\S+) not allowed because none of user's groups are listed in AllowGroups$""")
-FAILED_ENTRY_REGEX6 = re.compile(r"""Did not receive identification string .*from (::ffff:)?(?P<host>\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})""")
+FAILED_ENTRY_REGEX6 = re.compile(r"""Did not receive identification string .*from (::ffff:)?(?P<host>\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})$""")
-FAILED_ENTRY_REGEX7 = re.compile(r"""User (?P<user>.*) .*from (::ffff:)?(?P<host>\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3}) not allowed because not listed in AllowUsers""")
+FAILED_ENTRY_REGEX7 = re.compile(r"""User (?P<user>.*) from (::ffff:)?(?P<host>\S+) not allowed because not listed in AllowUsers$""")
# these are reserved for future versions
@@ -42,7 +42,7 @@
FAILED_ENTRY_REGEX_MAP[i] = rx
-SUCCESSFUL_ENTRY_REGEX = re.compile(r"""Accepted (?P<method>.*) for (?P<user>.*?) from (::ffff:)?(?P<host>\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})""")
+SUCCESSFUL_ENTRY_REGEX = re.compile(r"""Accepted (?P<method>\S+) for (?P<user>.*?) from (::ffff:)?(?P<host>\d{1,3}\.\d{1,3}\.\d{1,3}\.\d{1,3})$""")
TIME_SPEC_REGEX = re.compile(r"""(?P<units>\d*)\s*(?P<period>[smhdwy])?""")

@ -0,0 +1,28 @@
#!/sbin/runscript
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/denyhosts/files/denyhosts.init-r2,v 1.1 2014/01/06 01:53:36 ottxor Exp $
extra_stopped_commands="purge"
purge() {
ebegin "Purging hosts.deny"
start-stop-daemon --start --exec /usr/bin/denyhosts.py --pidfile /var/run/denyhosts.pid -- --purge
eend $?
}
depend() {
use logger sshd
}
start() {
ebegin "Starting DenyHosts daemon"
start-stop-daemon --start --exec /usr/bin/denyhosts.py --pidfile /var/run/denyhosts.pid -- --daemon -c /etc/denyhosts.conf
eend $?
}
stop() {
ebegin "Stopping DenyHosts daemon"
start-stop-daemon --quiet --stop --pidfile /var/run/denyhosts.pid
eend $?
}

@ -5,4 +5,8 @@
<email>dastergon@gentoo.org</email>
<name>Pavlos Ratis</name>
</maintainer>
<maintainer>
<email>ottxor@gentoo.org</email>
<name>Christoph Junghans</name>
</maintainer>
</pkgmetadata>

@ -1,7 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<herd>openoffice</herd>
<longdescription>
Manages configuration of dictionaries for OpenOffice.Org.

@ -1,3 +1,2 @@
DIST ruby.eselect-20100603.bz2 1869 SHA256 043313957e9bf489b7db8fcfe198ea7851e421f1021f7d4b3758fc90efb5a69f SHA512 c0fc3ae8d4f9e587ed37c5a3dbe599393f0dd0bfc28d9de94afc02f6752c8eb8646a4c08c4bd877b0ff011754ef00f7d9341663d47d5e40435d11291ff7823b3 WHIRLPOOL 6ef3f50c5f6b4924170b1bc379084a9ab82ecb8f8fe87ba0f96b00c995df3f4aabc675a6d00b17000b1900263cd8898ae56741fa6a887f2b6d4c4803b11e1cea
DIST ruby.eselect-20120106.bz2 1898 SHA256 439875e9cd632aecce973ecb579c6f3f7b2554e303e12515286eb96ae47e28e9 SHA512 dfbed92dd37804a87b4663be6298c349d8aff38438a50ff727309677ce2249340aaa9e49aad6970b21a22ef34a217018fe878987e662f6f1d04a99b014c573fc WHIRLPOOL 85e4b7dc14b32b604bbea09da10822209a07796e493a1dc656ad95122c5408bc5ec441798c46796111f2e7ab7500a93c8c4ce4856f6ea3a99f52a1adc3c4479d
DIST ruby.eselect-20130814.bz2 1924 SHA256 53d74e88d5c08b57dd0d48de79266bcbc46ed464c04e4a64a90283c10a2f1aa8 SHA512 f3f7d459779aac4c8868552ee5ef61d637b4e3a2d4f928416810ea5c6e06404a082fa9797590dcfb1ea511d4018cebd6ba2bc48c6160644339836852dbc6f940 WHIRLPOOL af47a101031871b1609c5e5db75a434a97f57548540aa00ab83c4a45757cd0ed360136f10760a80a0d7e6f9a5b482e51aa4632a189161c591c8d377d9fdee1f3
DIST ruby.eselect-20131227.bz2 1920 SHA256 b425962f9898ceb8bcdbb55d9648f3d98b82a916c4afa95b2fb1ddcd39cc3689 SHA512 9f13d4a6dc45923f88b145984f9c537846d4cb937b73c2be916792c70ff3c751f1e12b76f33686e35053bf6af1392e6c7e276f06dfb728e6a20f6335f739b784 WHIRLPOOL 38135af69952aff7cf874608365029947733733d33a3c586367ccf6fceb1bf2236781c9fe554a5654f720c19ef0fb0bd3dd5773a108386c6185a2fc2d94ac37b

@ -1,19 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-ruby/eselect-ruby-20120106.ebuild,v 1.4 2013/01/26 16:41:54 grobian Exp $
DESCRIPTION="Manages multiple Ruby versions"
HOMEPAGE="http://www.gentoo.org"
SRC_URI="http://dev.a3li.li/gentoo/distfiles/ruby.eselect-${PVR}.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-interix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE=""
RDEPEND=">=app-admin/eselect-1.0.2"
src_install() {
insinto /usr/share/eselect/modules
newins "${WORKDIR}/ruby.eselect-${PVR}" ruby.eselect || die
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-ruby/eselect-ruby-20130814.ebuild,v 1.1 2013/08/14 12:11:00 a3li Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/eselect-ruby/eselect-ruby-20131227.ebuild,v 1.1 2014/01/04 14:34:38 a3li Exp $
DESCRIPTION="Manages multiple Ruby versions"
HOMEPAGE="http://www.gentoo.org"

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/puppet/puppet-2.7.24.ebuild,v 1.2 2013/12/27 15:31:34 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/puppet/puppet-2.7.24.ebuild,v 1.6 2014/01/06 09:29:17 ago Exp $
EAPI="5"
USE_RUBY="ruby19"
@ -18,7 +18,7 @@ SRC_URI="http://www.puppetlabs.com/downloads/puppet/${P}.tar.gz"
LICENSE="Apache-2.0 GPL-2"
SLOT="0"
IUSE="augeas diff doc emacs ldap minimal rrdtool selinux shadow sqlite3 vim-syntax xemacs"
KEYWORDS="~amd64 hppa ~ppc ~sparc ~x86"
KEYWORDS="amd64 hppa ppc sparc x86"
ruby_add_rdepend "
>=dev-ruby/facter-1.5.6

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/puppet/puppet-3.4.1.ebuild,v 1.2 2013/12/27 16:09:23 jer Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/puppet/puppet-3.4.1.ebuild,v 1.6 2014/01/06 09:29:17 ago Exp $
EAPI="5"
@ -15,7 +15,7 @@ SRC_URI="http://www.puppetlabs.com/downloads/puppet/${P}.tar.gz"
LICENSE="Apache-2.0 GPL-2"
SLOT="0"
KEYWORDS="~amd64 hppa ~ppc ~sparc ~x86"
KEYWORDS="amd64 hppa ppc sparc x86"
IUSE="augeas diff doc emacs ldap minimal rrdtool selinux shadow sqlite3 vim-syntax xemacs"
ruby_add_rdepend "

@ -1 +1,2 @@
DIST r10k-1.1.0.gem 23552 SHA256 3b6bb90fd0a767f0f3412b3f940781d3071804118baccacc618da39c4009247d SHA512 7bb33894c582e82c173d4f3e725663b2a6c30824795a1b188ced89719a3184d65c00a0f059e8558f07d97a6728ca293e2949ebc4ca6656b007dcd0b93b76324f WHIRLPOOL 5d517f08541298f2966315e16c3c673c014e9aa4c31c0a9a7488341f4e5e044f6bf08417a063a4985ad2421dfd09eadf4c3746d2bac1200b7b85743bbf432bfe
DIST r10k-1.1.1.gem 24576 SHA256 ef10b1b3224c314bba02ecaaf368c5de4efbe91d4b5190accbc515da0f054bd8 SHA512 6fb587c94a3fad35a86c900c462e8a6cf56e9d03edefe5c7fc502cbebb2f4414a895d8478a7670072cbe613158f01aede116ce6bf83a22f844201ad0eae435fa WHIRLPOOL 5a684227f3647584a5c75ee886aec28d395cb49bd7cf5851f087ea275a2f7744c572546bafa66d8bfe7366dcb4ea755e5e90ae01796cb5db2237f540a827a2d6

@ -0,0 +1,56 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/r10k/r10k-1.1.1.ebuild,v 1.1 2014/01/04 13:59:00 vikraman Exp $
EAPI=5
USE_RUBY="ruby18 ruby19"
RUBY_FAKEGEM_RECIPE_TEST="rspec"
RUBY_FAKEGEM_TASK_DOC=""
inherit ruby-fakegem
DESCRIPTION="Puppet environment and module deployment"
HOMEPAGE="http://github.com/adrienthebo/r10k"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="+git"
ruby_add_bdepend "test? ( =dev-ruby/rspec-2.14* )"
ruby_add_rdepend "
>=dev-ruby/colored-1.2
=dev-ruby/cri-2.4*
>=dev-ruby/systemu-2.5.2
<dev-ruby/systemu-2.6.0
>=dev-ruby/log4r-1.1.10
dev-ruby/json"
RDEPEND="${RDEPEND} git? ( >=dev-vcs/git-1.6.6 )"
all_ruby_prepare() {
sed -i 's/json_pure/json/' "${WORKDIR}/all/metadata" || die "metadata fix failed"
}
pkg_postinst() {
ewarn
ewarn "If you are upgrading from 1.1.0 and are using multiple sources, please read"
ewarn "this. (If not, feel free to continue with your regularly scheduled day.)"
ewarn
ewarn "GH-48 (https://github.com/adrienthebo/r10k/issues/48) introduced the ability"
ewarn "for environments to be prefixed with the source name so that multiple sources"
ewarn "installed into the same directory would not overwrite each other. However"
ewarn "prefixing was automatically enabled and would break existing setups where"
ewarn "multiple sources were cloned into different directories."
ewarn
ewarn "Because this introduced a breaking change, SemVer dictates that the automatic"
ewarn "prefixing has to be rolled back. Prefixing can be enabled but always defaults"
ewarn "to off. If you are relying on this behavior you will need to update your r10k.yaml"
ewarn "to enable prefixing on a per-source basis."
ewarn
ewarn "Please see the issue (https://github.com/adrienthebo/r10k/issues/48) for more"
ewarn "information."
}

@ -0,0 +1,16 @@
--- a/Makefile.in
+++ b/Makefile.in
@@ -376,8 +376,8 @@ install_all: install_base cron/crontab sysstat \
su $(CRON_OWNER) -c "crontab cron/crontab"; \
fi
if [ -x $(SYSTEMCTL) -a -d "$(SYSTEMD_UNIT_DIR)" ]; then \
- $(INSTALL_DATA) sysstat.service $(SYSTEMD_UNIT_DIR); \
- $(SYSTEMCTL) enable sysstat.service; \
+ mkdir -p $(DESTDIR)$(SYSTEMD_UNIT_DIR); \
+ $(INSTALL_DATA) sysstat.service $(DESTDIR)$(SYSTEMD_UNIT_DIR); \
elif [ -d $(DESTDIR)$(INIT_DIR) ]; then \
$(INSTALL_BIN) sysstat $(DESTDIR)$(INIT_DIR)/sysstat; \
if [ -x $(CHKCONFIG) ]; then \
--
1.8.5.2

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/sysstat/sysstat-10.2.0.ebuild,v 1.7 2013/12/24 12:48:43 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/sysstat/sysstat-10.2.0.ebuild,v 1.8 2014/01/04 12:40:07 jer Exp $
EAPI=5
inherit eutils multilib toolchain-funcs
@ -42,6 +42,7 @@ src_prepare() {
done
fi
epatch "${FILESDIR}"/${PN}-10.0.4-flags.patch
epatch "${FILESDIR}"/${PN}-10.2.0-systemd.patch
}
src_configure() {

@ -0,0 +1,8 @@
[Unit]
Description=A tool for dynamically adjusting the nice-level of processes
[Service]
ExecStart=/usr/sbin/verynice
[Install]
WantedBy=multi-user.target

@ -0,0 +1,33 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/verynice/verynice-1.1-r2.ebuild,v 1.1 2014/01/03 21:55:18 pacho Exp $
EAPI=5
inherit eutils systemd toolchain-funcs
DESCRIPTION="A tool for dynamically adjusting the nice-level of processes"
HOMEPAGE="http://thermal.cnde.iastate.edu/~sdh4/verynice/"
SRC_URI="http://thermal.cnde.iastate.edu/~sdh4/verynice/down/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
S=${WORKDIR}/${PN}
src_prepare() {
epatch "${FILESDIR}"/${P}-build.patch
}
src_compile() {
tc-export CC
emake RPM_BUILD_ROOT="${D}" PREFIX=/usr
}
src_install(){
emake RPM_BUILD_ROOT="${D}" PREFIX=/usr VERSION=${PVR} install
doinitd "${FILESDIR}"/verynice
systemd_dounit "${FILESDIR}"/verynice.service
}

@ -0,0 +1,185 @@
From 5f61d249507c3502c3c76faf3926522e6e63370d Mon Sep 17 00:00:00 2001
From: Devan Franchini <twitch153@gentoo.org>
Date: Fri, 3 Jan 2014 21:03:00 -0500
Subject: [PATCH] WebappConfig/{ebuild,content}.py: Nulls doctest code.
Due to the variable nature of the returning values of the two functions
run_vars() and add(), it is unrealistic to depend on doctest to not
fail. It has been decided that disabling these two doctest codes would
be the best decision to prevent failures that are not detrimental.
X-Gentoo-Bug: 430010
X-Gentoo-Bug-URL: https://bugs.gentoo.org/430010
---
WebappConfig/content.py | 36 ++++++++++++++++++------------------
WebappConfig/ebuild.py | 46 +++++++++++++++++++++++-----------------------
2 files changed, 41 insertions(+), 41 deletions(-)
diff --git a/WebappConfig/content.py b/WebappConfig/content.py
index 8fe5be9..c635f5a 100644
--- a/WebappConfig/content.py
+++ b/WebappConfig/content.py
@@ -379,71 +379,71 @@ class Contents:
(and this is important for md5)
relative - 1 for storing a relative filename, 0 otherwise
- >>> OUT.color_off()
- >>> import os.path
- >>> here = os.path.dirname(os.path.realpath(__file__))
+ OUT.color_off()
+ import os.path
+ here = os.path.dirname(os.path.realpath(__file__))
One for pretending:
- >>> a = Contents(here + '/tests/testfiles/contents/app/',
+ a = Contents(here + '/tests/testfiles/contents/app/',
... package = 'test', version = '1.0',
... pretend = True)
And this one is for real:
- >>> b = Contents(here + '/tests/testfiles/contents/app/',
+ b = Contents(here + '/tests/testfiles/contents/app/',
... package = 'test', version = '1.0')
Pretend to add a file:
- >>> a.add('file', 'config-owned',
+ a.add('file', 'config-owned',
... destination = here + '/tests/testfiles/contents/app/',
... path = '/test1', relative = True)
* pretending to add: file 1 config-owned "test1"
Lets not pretend this time:
- >>> b.add('file', 'config-owned',
+ b.add('file', 'config-owned',
... destination = here + '/tests/testfiles/contents/app/',
... path = '/test1', relative = True)
- >>> b.entry(here + '/tests/testfiles/contents/app/test1') #doctest: +ELLIPSIS
+ b.entry(here + '/tests/testfiles/contents/app/test1') #doctest: +ELLIPSIS
'file 1 config-owned "test1" ... d8e8fca2dc0f896fd7cb4cb0031ba249 '
Lets produce an error with a file that does not exist:
- >>> b.add('file', 'config-owned',
+ b.add('file', 'config-owned',
... destination = here + '/tests/testfiles/contents/app/',
... path = '/nothere', relative = True) #doctest: +ELLIPSIS
* Cannot access file .../tests/testfiles/contents/app/nothere to add it as installation content. This should not happen!
Other file types:
- >>> b.add('hardlink', 'config-owned',
+ b.add('hardlink', 'config-owned',
... destination = here + '/tests/testfiles/contents/app/',
... path = '/test2', relative = True)
- >>> b.entry(here + '/tests/testfiles/contents/app/test2') #doctest: +ELLIPSIS
+ b.entry(here + '/tests/testfiles/contents/app/test2') #doctest: +ELLIPSIS
'file 1 config-owned "test2" ... d8e8fca2dc0f896fd7cb4cb0031ba249 '
- >>> b.add('dir', 'default-owned',
+ b.add('dir', 'default-owned',
... destination = here + '/tests/testfiles/contents/app/',
... path = '/dir1', relative = True)
- >>> b.entry(here + '/tests/testfiles/contents/app/dir1') #doctest: +ELLIPSIS
+ b.entry(here + '/tests/testfiles/contents/app/dir1') #doctest: +ELLIPSIS
'dir 1 default-owned "dir1" ... 0 '
- >>> b.add('dir', 'default-owned', destination = here + '/tests/testfiles/contents/app',
+ b.add('dir', 'default-owned', destination = here + '/tests/testfiles/contents/app',
... path = '/dir1',
... relative = False)
- >>> b.entry(here + '/tests/testfiles/contents/app/dir1') #doctest: +ELLIPSIS
+ b.entry(here + '/tests/testfiles/contents/app/dir1') #doctest: +ELLIPSIS
'dir 0 default-owned ".../tests/testfiles/contents/app/dir1" ... 0 '
Q: Is the full link to the target what we want?
A: Yes, since the link will still be ok even if we move the directory.
- >>> b.add('sym', 'virtual',
+ b.add('sym', 'virtual',
... destination = here + '/tests/testfiles/contents/app/',
... path = '/test3', relative = True)
- >>> b.entry(here + '/tests/testfiles/contents/app/test3') #doctest: +ELLIPSIS
+ b.entry(here + '/tests/testfiles/contents/app/test3') #doctest: +ELLIPSIS
'sym 1 virtual "test3" ... 0 .../tests/testfiles/contents/app/test1'
- >>> b.db_print() #doctest: +ELLIPSIS
+ b.db_print() #doctest: +ELLIPSIS
file 1 config-owned "test1" ... d8e8fca2dc0f896fd7cb4cb0031ba249
file 1 config-owned "test2" ... d8e8fca2dc0f896fd7cb4cb0031ba249
sym 1 virtual "test3" ... 0 .../tests/testfiles/contents/app/test1
diff --git a/WebappConfig/ebuild.py b/WebappConfig/ebuild.py
index 03c0c57..cc23bec 100644
--- a/WebappConfig/ebuild.py
+++ b/WebappConfig/ebuild.py
@@ -201,35 +201,35 @@ class Ebuild:
The procedure from above is repeated to set up the default
environment:
- >>> import WebappConfig.config
- >>> config = WebappConfig.config.Config()
- >>> config.config.set('USER', 'my_htdocsbase', 'htdocs')
- >>> config.config.set('USER', 'pn', 'horde')
- >>> config.config.set('USER', 'pvr', '3.0.5')
- >>> import os.path
- >>> here = os.path.dirname(os.path.realpath(__file__))
- >>> config.config.set('USER', 'my_approot', here +
- ... '/tests/testfiles/share-webapps')
- >>> my_approot = config.config.get('USER', 'my_approot')
- >>> my_appdir = my_approot + "/horde/3.0.5"
- >>> config.config.set('USER', 'my_appdir', my_appdir)
- >>> config.config.set('USER', 'my_hookscriptsdir', my_appdir + '/hooks')
- >>> config.config.set('USER', 'my_cgibinbase', 'cgi-bin')
- >>> config.config.set('USER', 'my_errorsbase', 'error')
- >>> config.config.set('USER', 'my_iconsbase', 'icons')
- >>> config.config.set('USER', 'my_serverconfigdir', '/'.join([my_appdir,'conf']))
- >>> config.config.set('USER', 'my_hostrootdir', '/'.join([my_appdir,'hostroot']))
- >>> config.config.set('USER', 'my_htdocsdir', '/'.join([my_appdir,'htdocs']))
- >>> config.config.set('USER', 'my_sqlscriptsdir', '/'.join([my_appdir,'sqlscripts']))
+ "">>> import WebappConfig.config"
+ ">>> config = WebappConfig.config.Config()"
+ ">>> config.config.set('USER', 'my_htdocsbase', 'htdocs')"
+ ">>> config.config.set('USER', 'pn', 'horde')"
+ ">>> config.config.set('USER', 'pvr', '3.0.5')"
+ ">>> import os.path"
+ ">>> here = os.path.dirname(os.path.realpath(__file__))"
+ ">>> config.config.set('USER', 'my_approot', here +"
+ "... '/tests/testfiles/share-webapps')"
+ ">>> my_approot = config.config.get('USER', 'my_approot')"
+ ">>> my_appdir = my_approot + "/horde/3.0.5""
+ ">>> config.config.set('USER', 'my_appdir', my_appdir)"
+ ">>> config.config.set('USER', 'my_hookscriptsdir', my_appdir + '/hooks')"
+ ">>> config.config.set('USER', 'my_cgibinbase', 'cgi-bin')"
+ ">>> config.config.set('USER', 'my_errorsbase', 'error')"
+ ">>> config.config.set('USER', 'my_iconsbase', 'icons')"
+ ">>> config.config.set('USER', 'my_serverconfigdir', '/'.join([my_appdir,'conf']))"
+ ">>> config.config.set('USER', 'my_hostrootdir', '/'.join([my_appdir,'hostroot']))"
+ ">>> config.config.set('USER', 'my_htdocsdir', '/'.join([my_appdir,'htdocs']))"
+ ">>> config.config.set('USER', 'my_sqlscriptsdir', '/'.join([my_appdir,'sqlscripts']))"
Time to create the ebuild handler:
- >>> a = Ebuild(config)
+ ">>> a = Ebuild(config)"
The dummy post-install file should display all the variables
that are exported here:
- >>> a.show_postinst() #doctest: +ELLIPSIS
+ ">>> a.show_postinst() #doctest: +ELLIPSIS
<BLANKLINE>
=================================================================
POST-INSTALL INSTRUCTIONS
@@ -270,7 +270,7 @@ class Ebuild:
PVR: 3.0.5
<BLANKLINE>
=================================================================
- <BLANKLINE>
+ <BLANKLINE>"
'''
v_root = self.get_config('vhost_root')
--
1.8.3.2

@ -0,0 +1,64 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/webapp-config/webapp-config-1.52-r1.ebuild,v 1.1 2014/01/04 23:39:34 twitch153 Exp $
EAPI="5"
PYTHON_COMPAT=( python{2_6,2_7,3_2,3_3} pypy2_0 )
inherit distutils-r1
SRC_URI="http://dev.gentoo.org/~twitch153/${PN}/${P}.tar.bz2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
DESCRIPTION="Gentoo's installer for web-based applications"
HOMEPAGE="http://sourceforge.net/projects/webapp-config/"
LICENSE="GPL-2"
SLOT="0"
IUSE="+portage"
DEPEND="app-text/xmlto"
RDEPEND="portage? ( sys-apps/portage[${PYTHON_USEDEP}] )"
python_prepare() {
epatch "${FILESDIR}/${P}-nulls-doctest.patch"
}
python_compile_all() {
emake -C doc/
}
python_install() {
# According to this discussion:
# http://mail.python.org/pipermail/distutils-sig/2004-February/003713.html
# distutils does not provide for specifying two different script install
# locations. Since we only install one script here the following should
# be ok
distutils-r1_python_install --install-scripts="/usr/sbin"
}
python_install_all() {
distutils-r1_python_install_all
insinto /etc/vhosts
doins config/webapp-config
keepdir /usr/share/webapps
keepdir /var/db/webapps
dodoc AUTHORS
doman doc/*.[58]
dohtml doc/*.[58].html
}
python_test() {
PYTHONPATH="." "${PYTHON}" WebappConfig/tests/dtest.py \
|| die "Testing failed with ${EPYTHON}"
}
pkg_postinst() {
elog "Now that you have upgraded webapp-config, you **must** update your"
elog "config files in /etc/vhosts/webapp-config before you emerge any"
elog "packages that use webapp-config."
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-admin/whowatch/whowatch-1.8.5.ebuild,v 1.5 2013/12/24 12:44:21 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/app-admin/whowatch/whowatch-1.8.5.ebuild,v 1.6 2014/01/03 13:27:12 pinkbyte Exp $
EAPI=5
inherit autotools eutils
@ -11,7 +11,7 @@ SRC_URI="http://wizard.ae.krakow.pl/~mike/download/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 hppa ppc x86"
KEYWORDS="amd64 ~arm hppa ~mips ppc x86"
IUSE=""
RDEPEND="

@ -1,13 +1,13 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/bzip2/bzip2-1.0.6-r4.ebuild,v 1.3 2013/07/28 14:04:19 aballier Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/bzip2/bzip2-1.0.6-r4.ebuild,v 1.4 2014/01/05 17:47:18 vapier Exp $
# XXX: atm, libbz2.a is always PIC :(, so it is always built quickly
# (since we're building shared libs) ...
EAPI=4
inherit eutils toolchain-funcs flag-o-matic multilib multilib-minimal
inherit eutils toolchain-funcs multilib multilib-minimal
DESCRIPTION="A high-quality data compressor used extensively by Gentoo Linux"
HOMEPAGE="http://www.bzip.org/"
@ -54,8 +54,7 @@ bemake() {
multilib_src_compile() {
bemake -f Makefile-libbz2_so all
use static && append-flags -static
bemake all
bemake all LDFLAGS="${LDFLAGS} $(usex static -static '')"
}
multilib_src_install() {

@ -0,0 +1,112 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/bzip2/bzip2-1.0.6-r5.ebuild,v 1.1 2014/01/05 17:58:12 vapier Exp $
# XXX: atm, libbz2.a is always PIC :(, so it is always built quickly
# (since we're building shared libs) ...
EAPI=4
inherit eutils toolchain-funcs multilib multilib-minimal
DESCRIPTION="A high-quality data compressor used extensively by Gentoo Linux"
HOMEPAGE="http://www.bzip.org/"
SRC_URI="http://www.bzip.org/${PV}/${P}.tar.gz"
LICENSE="BZIP2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE="static static-libs"
RDEPEND="abi_x86_32? (
!<=app-emulation/emul-linux-x86-baselibs-20130224
!app-emulation/emul-linux-x86-baselibs[-abi_x86_32(-)]
)"
src_prepare() {
epatch "${FILESDIR}"/${PN}-1.0.4-makefile-CFLAGS.patch
epatch "${FILESDIR}"/${PN}-1.0.6-saneso.patch
epatch "${FILESDIR}"/${PN}-1.0.4-man-links.patch #172986
epatch "${FILESDIR}"/${PN}-1.0.6-progress.patch
epatch "${FILESDIR}"/${PN}-1.0.3-no-test.patch
epatch "${FILESDIR}"/${PN}-1.0.4-POSIX-shell.patch #193365
epatch "${FILESDIR}"/${PN}-1.0.6-mingw.patch #393573
epatch "${FILESDIR}"/${PN}-1.0.6-out-of-tree-build.patch
# - Use right man path
# - Generate symlinks instead of hardlinks
# - pass custom variables to control libdir
sed -i \
-e 's:\$(PREFIX)/man:\$(PREFIX)/share/man:g' \
-e 's:ln -s -f $(PREFIX)/bin/:ln -s -f :' \
-e 's:$(PREFIX)/lib:$(PREFIX)/$(LIBDIR):g' \
Makefile || die
}
bemake() {
emake \
VPATH="${S}" \
CC="$(tc-getCC)" \
AR="$(tc-getAR)" \
RANLIB="$(tc-getRANLIB)" \
"$@"
}
multilib_src_compile() {
bemake -f "${S}"/Makefile-libbz2_so all
bemake -f "${S}"/Makefile all LDFLAGS="${LDFLAGS} $(usex static -static '')"
}
multilib_src_install() {
into /usr
# Install the shared lib manually. We install:
# .x.x.x - standard shared lib behavior
# .x.x - SONAME some distros use #338321
# .x - SONAME Gentoo uses
dolib.so libbz2.so.${PV}
local v
for v in libbz2.so{,.{${PV%%.*},${PV%.*}}} ; do
dosym libbz2.so.${PV} /usr/$(get_libdir)/${v}
done
if multilib_build_binaries ; then
gen_usr_ldscript -a bz2
dobin bzip2recover
into /
dobin bzip2
fi
}
multilib_src_install_all() {
# `make install` doesn't cope with out-of-tree builds, nor with
# installing just non-binaries, so handle things ourselves.
insinto /usr/include
doins bzlib.h
into /usr
dobin bz{diff,grep,more}
doman *.1
dosym bzdiff /usr/bin/bzcmp
dosym bzdiff.1 /usr/share/man/man1/bzcmp.1
dosym bzmore /usr/bin/bzless
dosym bzmore.1 /usr/share/man/man1/bzless.1
local x
for x in bunzip2 bzcat bzip2recover ; do
dosym bzip2.1 /usr/share/man/man1/${x}.1
done
for x in bz{e,f}grep ; do
dosym bzgrep /usr/bin/${x}
dosym bzgrep.1 /usr/share/man/man1/${x}.1
done
dodoc README* CHANGES manual.pdf
dohtml manual.html
# move "important" bzip2 binaries to /bin and use the shared libbz2.so
dosym bzip2 /bin/bzcat
dosym bzip2 /bin/bunzip2
}

@ -0,0 +1,79 @@
--- a/Makefile
+++ b/Makefile
@@ -53,7 +53,6 @@ libbz2.a: $(OBJS)
check: test
test: bzip2
- @cat words1
./bzip2 -1 < sample1.ref > sample1.rb2
./bzip2 -2 < sample2.ref > sample2.rb2
./bzip2 -3 < sample3.ref > sample3.rb2
@@ -66,7 +65,6 @@ test: bzip2
cmp sample1.tst sample1.ref
cmp sample2.tst sample2.ref
cmp sample3.tst sample3.ref
- @cat words3
install: bzip2 bzip2recover
if ( test ! -d $(PREFIX)/bin ) ; then mkdir -p $(PREFIX)/bin ; fi
@@ -115,25 +113,8 @@ clean:
sample1.rb2 sample2.rb2 sample3.rb2 \
sample1.tst sample2.tst sample3.tst
-blocksort.o: blocksort.c
- @cat words0
- $(CC) $(CFLAGS) -c blocksort.c
-huffman.o: huffman.c
- $(CC) $(CFLAGS) -c huffman.c
-crctable.o: crctable.c
- $(CC) $(CFLAGS) -c crctable.c
-randtable.o: randtable.c
- $(CC) $(CFLAGS) -c randtable.c
-compress.o: compress.c
- $(CC) $(CFLAGS) -c compress.c
-decompress.o: decompress.c
- $(CC) $(CFLAGS) -c decompress.c
-bzlib.o: bzlib.c
- $(CC) $(CFLAGS) -c bzlib.c
-bzip2.o: bzip2.c
- $(CC) $(CFLAGS) -c bzip2.c
-bzip2recover.o: bzip2recover.c
- $(CC) $(CFLAGS) -c bzip2recover.c
+%.o: %.c
+ $(CC) $(CFLAGS) -c $<
distclean: clean
--- a/Makefile-libbz2_so
+++ b/Makefile-libbz2_so
@@ -36,9 +36,7 @@ OBJS= blocksort.o \
all: $(OBJS)
$(CC) $(LDFLAGS) -shared -Wl,-soname -Wl,libbz2.so.1 -o libbz2.so.1.0.6 $(OBJS)
- $(CC) $(LDFLAGS) $(CFLAGS) -o bzip2-shared bzip2.c libbz2.so.1.0.6
- rm -f libbz2.so.1.0
- ln -s libbz2.so.1.0.6 libbz2.so.1.0
+ ln -sf libbz2.so.1.0.6 libbz2.so.1.0
clean:
rm -f $(OBJS) bzip2.o libbz2.so.1.0.6 libbz2.so.1.0 bzip2-shared
@@ -43,17 +43,5 @@ all: $(OBJS)
clean:
rm -f $(OBJS) bzip2.o libbz2.so.1.0.6 libbz2.so.1.0 bzip2-shared
-blocksort.o: blocksort.c
- $(CC) $(CFLAGS) -c blocksort.c
-huffman.o: huffman.c
- $(CC) $(CFLAGS) -c huffman.c
-crctable.o: crctable.c
- $(CC) $(CFLAGS) -c crctable.c
-randtable.o: randtable.c
- $(CC) $(CFLAGS) -c randtable.c
-compress.o: compress.c
- $(CC) $(CFLAGS) -c compress.c
-decompress.o: decompress.c
- $(CC) $(CFLAGS) -c decompress.c
-bzlib.o: bzlib.c
- $(CC) $(CFLAGS) -c bzlib.c
+%.o: %.c
+ $(CC) $(CFLAGS) -c $<

@ -1,4 +1,3 @@
DIST pigz-2.2.4.tar.gz 49505 SHA256 7e7967c47f66c07be97cbfa25c8816b72f9d35258466ea31eddc7666c914160e SHA512 ebedc10d79de9fc21cacf302eb323dd3d1c73492da9407b7a2d69be65728bac1619a4b0c6c26cdcb2b955a47572f176ee3e18f9ebc230e4db981b1ab9347da30 WHIRLPOOL a9a8882312ae0588926fc2b1c4dae0ac9a56b1f59ea8211d976d7f30fe2b798a71249d03b4d33c590b62cbddb63c6b7998c1de200880770098dc062bd367d343
DIST pigz-2.2.5.tar.gz 49717 SHA256 e37498cbf3a475d7ebe2519751188c29564bf8dd27ba68bd3c7fe1ac08792759 SHA512 b399dee20c3484b5425490ee06404f8c6e3335a1c8eda8f625b62025dba99d2ebdd398a6acd7dd9c44cdb5370ccf66e0a6334bb5aace0a5dee30351cfd3abd4c WHIRLPOOL 178efcb07a79fd7667029c837a19291a73c089cac6dc4c2c8dceeef0ff5e836e26bdfc39d04888ed4896c36c4b52b3d96d344dbf73165acc1f320e1abea83077
DIST pigz-2.3.1.tar.gz 86651 SHA256 629b0ce5422a3978f31742bf8275d0be2f84987140d18f390f1e3b4e46e0af54 SHA512 7cb00ab87802352c817d9b2f745948199a7e571181aec3ef161305c1d8b828790bc2fb0083d6068ba5aead5d8b8c7f53ec25ab641ae2e98eda9adf14f195dbc6 WHIRLPOOL 242e38d05215269c3c9b6602191cc6e02fd9e781b0425738c3907ccf60da9a4a36ebcda866c9c0e949ad5988dad6b468f97102352d2ed13adb7e890688c221f7
DIST pigz-2.3.tar.gz 83636 SHA256 74bbd5962f9420549fc987ddd1ccda692ec2b29d2d612fbbe26edf3fa348ff21 SHA512 58080cb3b68d3329c3e9554b7f41b7ffe961c27cce0732e00d200f84bd4910452026cc90b026a4130dc4fef6eeaf9f6340d039521f32474ca45566f8e985301d WHIRLPOOL 808e05bfa337b421d4c18da0982d12cf880b78885ad2da37c6f84960d2102a9fc34ce078700a3ececca5805014b385e544ef17912b83444d726315af2616ffc5

@ -1,37 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/pigz/pigz-2.2.4.ebuild,v 1.3 2012/04/30 19:51:34 jdhore Exp $
EAPI="4"
inherit toolchain-funcs
DESCRIPTION="A parallel implementation of gzip"
HOMEPAGE="http://www.zlib.net/pigz/"
SRC_URI="http://www.zlib.net/pigz/${P}.tar.gz"
LICENSE="ZLIB"
SLOT="0"
KEYWORDS="~alpha amd64 ~mips ~sparc x86 ~amd64-linux ~sparc64-solaris"
IUSE="symlink test"
RDEPEND="sys-libs/zlib"
DEPEND="${RDEPEND}
test? ( app-arch/ncompress )"
src_prepare() {
sed -i -e '1,3d' -e '5s/$(CC)/$(CC) $(LDFLAGS)/' Makefile || die
tc-export CC
}
src_install() {
dobin ${PN}
dosym /usr/bin/${PN} /usr/bin/un${PN}
dodoc README
doman ${PN}.1
if use symlink; then
dosym /usr/bin/${PN} /usr/bin/gzip
dosym /usr/bin/un${PN} /usr/bin/gunzip
fi
}

@ -1,7 +1,2 @@
DIST xz-4.999.9beta.tar.gz 1037541 SHA256 fa3901d1c034842da47fec1a24a9b5a5bd435f5ecfbb444c168512e2daddb86f SHA512 35b444629eee5b84740931f2bcfcc2c17f694f1e874bb3e66ca9321eec731353924adf0fcbe91b83a743e8ef543a20a67a318d257ca4fd1112e137ec3cb96ec7 WHIRLPOOL 1cad0bbc5645b257ae17f3d53cbbde3e9f54da226fbba00459876a435136b45cdacc18e79888eec497aaf8d9e26e5a01ccf4f46410147462ec4eccc1e881cf55
DIST xz-5.0.1.tar.gz 1236843 SHA256 3770b8872a4322b9502937b4781d523303bf193962c4822899fd3a210878fc80 SHA512 41ad4e93060180a55c1d25da4ad5d6791aff9a9e53fd931ae9b65a75426939aa844569621dced058794cf813bf387121b1f82a7a720a7d5defadbd8d6f8527ce WHIRLPOOL 71ae8849bedeef031882576a23d5b0ecbe1544229ad64f861094d9bdcddc771f6b6573dafaef70bbf46f576e3a49e79eab7ae7caeeb603dfd2d51b2247e5d809
DIST xz-5.0.2.tar.gz 1241178 SHA256 57e979baaa40147dde1bbb284e3618f8f18b6532c932648bd57b5aee674b98a7 SHA512 051c8091420fd48b40418fcd1638b67dcdb3be9c635061649189d7d226bb84e335d16354f065f92d335b4d165b97fd2e9e88a99940e325443493d95e514b161c WHIRLPOOL 40641dec853667046f437829ab1f73f3898398d0a427fb95e7f65ade613482733b88555669725ee369ae853ed3deeec8b1c5e7f45caaaf1499cf71bf7386a3db
DIST xz-5.0.3.tar.gz 1257140 SHA256 10eb4df72dffb2fb14c3d2d82b450e72282ffcb9ee3908a8e5b392b8f09681bf SHA512 ee5902e82bf74c0bd75e43bb380ec536513ba52c35c3ce9d6cf8b1bcf0c5a6a5b04ca9351c66662baf6abfb16a889557490d48288597f3cdf041649286abd3e9 WHIRLPOOL ddd95eea399ca906027734c5e7f077c9d1fb04ad80c00b87b8e50fe7536044423ce96579c02778431813f654410a08ef897ea4294c77599c6471f2110085ea3c
DIST xz-5.0.4.tar.gz 1281166 SHA256 d67405798dad645965fe51cf4e40c23d1201fb234378d3c44f5a3787142b83b6 SHA512 78620fd6515cd90242a3f3205a8f77d295a8e5ebd2b5969a34ae0aa42c11abef1982f21d0add7fbe830b3ce88082ea1c1718a70241b1446149c89ac0828e1e63 WHIRLPOOL 87002f7871af63f1ae87b1b779310ca54f4c82e3b855e448eb96274523c18ce92be9b9b4de7388868f61d9b19201682e783e2ca65651797cc439021583aa6c19
DIST xz-5.0.5.tar.gz 1305685 SHA256 5dcffe6a3726d23d1711a65288de2e215b4960da5092248ce63c99d50093b93a SHA512 dc36f305bc2abf97da8c86e44b661d9ac2d5ed58e89e83f007f49e0d7cf4871d7b6defa51b9348d3f725793517f7ac47de572f6d23212e074c32032dd8357772 WHIRLPOOL 7e95d6d064239ebe6f1231ec8a5a1390e3c5d71863d7e8d1339bed5f20255d750e3f9df953ed7e95ae2b43607aab93747a5a2d948e4bb6745d3adcf7ea25c455
DIST xz-5.0.5.tar.gz 1305685 SHA512 dc36f305bc2abf97da8c86e44b661d9ac2d5ed58e89e83f007f49e0d7cf4871d7b6defa51b9348d3f725793517f7ac47de572f6d23212e074c32032dd8357772 WHIRLPOOL 7e95d6d064239ebe6f1231ec8a5a1390e3c5d71863d7e8d1339bed5f20255d750e3f9df953ed7e95ae2b43607aab93747a5a2d948e4bb6745d3adcf7ea25c455
DIST xz-5.1.3alpha.tar.gz 1262328 SHA256 9f94506e301d5b6863921bba861a99ba00de384dafb4e5f409679a93e41613d4 SHA512 839c999e1eee273a3120e76d5096f8a523c157a2dacd83f6d554e3f2a4f790f3f7360cfbc7749c1c42cb213d0a55eb74216ed2236a6568f49027e119a3184687 WHIRLPOOL 3c1227c899dcab955b2db10ed94432fff6a5025d0da957dfab14b8129d25cc8478b372bcae6b9b089769b732d19d570ad42c187fa568e257ad5fd5bf15eb8743

@ -1,42 +0,0 @@
http://bugs.gentoo.org/356627
From 399ff2690b17908552b44bf34065f2b11d1d7859 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Martin=20V=C3=A4th?= <vaeth@mathematik.uni-wuerzburg.de>
Date: Mon, 28 Feb 2011 20:45:16 -0500
Subject: [PATCH] xzgrep: fix typo in $0 parsing
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 8bit
Reported-by: Diego Elio Pettenò <flameeyes@gentoo.org>
Signed-off-by: Martin Väth <vaeth@mathematik.uni-wuerzburg.de>
Signed-off-by: Mike Frysinger <vapier@gentoo.org>
---
src/scripts/xzgrep.in | 4 ++--
1 files changed, 2 insertions(+), 2 deletions(-)
diff --git a/src/scripts/xzgrep.in b/src/scripts/xzgrep.in
index bfa9fb5..708f7de 100644
--- a/src/scripts/xzgrep.in
+++ b/src/scripts/xzgrep.in
@@ -27,7 +27,7 @@
xz='@xz@ --format=auto'
unset GZIP BZIP BZIP2
-case ${0##/*} in
+case ${0##*/} in
*egrep*) prog=xzegrep; grep=${GREP:-egrep};;
*fgrep*) prog=xzfgrep; grep=${GREP:-fgrep};;
*) prog=xzgrep; grep=${GREP:-grep};;
@@ -35,7 +35,7 @@ esac
version="$prog (@PACKAGE_NAME@) @VERSION@"
-usage="Usage: ${0##/*} [OPTION]... [-e] PATTERN [FILE]...
+usage="Usage: ${0##*/} [OPTION]... [-e] PATTERN [FILE]...
Look for instances of PATTERN in the input FILEs, using their
uncompressed contents if they are compressed.
--
1.7.4.1

@ -1,59 +0,0 @@
# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-4.999.9_beta.ebuild,v 1.14 2010/06/19 00:36:37 abcd Exp $
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
EAPI="2"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="git://ctrl.tukaani.org/xz.git"
inherit git autotools
SRC_URI=""
EXTRA_DEPEND="sys-devel/gettext dev-vcs/cvs >=sys-devel/libtool-2" #272880 286068
else
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="http://tukaani.org/xz/${MY_P}.tar.gz"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
S=${WORKDIR}/${MY_P}
EXTRA_DEPEND=
fi
inherit eutils
DESCRIPTION="utils for managing LZMA compressed files"
HOMEPAGE="http://tukaani.org/xz/"
LICENSE="LGPL-2.1"
SLOT="0"
IUSE="nls static-libs +threads"
RDEPEND="!app-arch/lzma
!app-arch/lzma-utils
!<app-arch/p7zip-4.57"
DEPEND="${RDEPEND}
${EXTRA_DEPEND}"
if [[ ${PV} == "9999" ]] ; then
src_prepare() {
eautopoint
eautoreconf
}
fi
src_configure() {
econf \
--enable-dynamic=yes \
$(use_enable nls) \
$(use_enable threads) \
$(use_enable static-libs static)
}
src_install() {
emake install DESTDIR="${D}" || die
rm "${D}"/usr/share/doc/xz/COPYING* || die
mv "${D}"/usr/share/doc/{xz,${PF}} || die
prepalldocs
dodoc AUTHORS ChangeLog NEWS README THANKS
}

@ -1,70 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-5.0.1-r1.ebuild,v 1.1 2011/03/01 01:54:09 vapier Exp $
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
EAPI="2"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="git://ctrl.tukaani.org/xz.git"
inherit git autotools
SRC_URI=""
EXTRA_DEPEND="sys-devel/gettext dev-vcs/cvs >=sys-devel/libtool-2" #272880 286068
else
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="http://tukaani.org/xz/${MY_P}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
S=${WORKDIR}/${MY_P}
EXTRA_DEPEND=
fi
inherit eutils multilib
DESCRIPTION="utils for managing LZMA compressed files"
HOMEPAGE="http://tukaani.org/xz/"
LICENSE="LGPL-2.1"
SLOT="0"
IUSE="nls static-libs +threads"
RDEPEND="!<app-arch/lzma-4.63
!app-arch/lzma-utils
!<app-arch/p7zip-4.57"
DEPEND="${RDEPEND}
${EXTRA_DEPEND}"
if [[ ${PV} == "9999" ]] ; then
src_prepare() {
eautopoint
eautoreconf
}
fi
src_prepare() {
epatch "${FILESDIR}"/${P}-xzgrep-typo.patch #356627
}
src_configure() {
econf \
$(use_enable nls) \
$(use_enable threads) \
$(use_enable static-libs static)
}
src_install() {
emake install DESTDIR="${D}" || die
rm "${D}"/usr/share/doc/xz/COPYING* || die
mv "${D}"/usr/share/doc/{xz,${PF}} || die
prepalldocs
dodoc AUTHORS ChangeLog NEWS README THANKS
}
pkg_preinst() {
preserve_old_lib /usr/$(get_libdir)/liblzma.so.0
}
pkg_postinst() {
preserve_old_lib_notify /usr/$(get_libdir)/liblzma.so.0
}

@ -1,66 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-5.0.1.ebuild,v 1.9 2011/03/20 18:39:17 armin76 Exp $
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
EAPI="2"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="git://ctrl.tukaani.org/xz.git"
inherit git autotools
SRC_URI=""
EXTRA_DEPEND="sys-devel/gettext dev-vcs/cvs >=sys-devel/libtool-2" #272880 286068
else
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="http://tukaani.org/xz/${MY_P}.tar.gz"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~sparc-fbsd ~x86-fbsd"
S=${WORKDIR}/${MY_P}
EXTRA_DEPEND=
fi
inherit eutils multilib
DESCRIPTION="utils for managing LZMA compressed files"
HOMEPAGE="http://tukaani.org/xz/"
LICENSE="LGPL-2.1"
SLOT="0"
IUSE="nls static-libs +threads"
RDEPEND="!<app-arch/lzma-4.63
!app-arch/lzma-utils
!<app-arch/p7zip-4.57"
DEPEND="${RDEPEND}
${EXTRA_DEPEND}"
if [[ ${PV} == "9999" ]] ; then
src_prepare() {
eautopoint
eautoreconf
}
fi
src_configure() {
econf \
$(use_enable nls) \
$(use_enable threads) \
$(use_enable static-libs static)
}
src_install() {
emake install DESTDIR="${D}" || die
rm "${D}"/usr/share/doc/xz/COPYING* || die
mv "${D}"/usr/share/doc/{xz,${PF}} || die
prepalldocs
dodoc AUTHORS ChangeLog NEWS README THANKS
}
pkg_preinst() {
preserve_old_lib /usr/$(get_libdir)/liblzma.so.0
}
pkg_postinst() {
preserve_old_lib_notify /usr/$(get_libdir)/liblzma.so.0
}

@ -1,70 +0,0 @@
# Copyright 1999-2011 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-5.0.2.ebuild,v 1.1 2011/04/04 05:16:07 vapier Exp $
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
EAPI="2"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="git://ctrl.tukaani.org/xz.git"
inherit git autotools
SRC_URI=""
EXTRA_DEPEND="sys-devel/gettext dev-vcs/cvs >=sys-devel/libtool-2" #272880 286068
else
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="http://tukaani.org/xz/${MY_P}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd"
S=${WORKDIR}/${MY_P}
EXTRA_DEPEND=
fi
inherit eutils multilib
DESCRIPTION="utils for managing LZMA compressed files"
HOMEPAGE="http://tukaani.org/xz/"
LICENSE="LGPL-2.1"
SLOT="0"
IUSE="nls static-libs +threads"
RDEPEND="!<app-arch/lzma-4.63
!app-arch/lzma-utils
!<app-arch/p7zip-4.57"
DEPEND="${RDEPEND}
${EXTRA_DEPEND}"
if [[ ${PV} == "9999" ]] ; then
src_prepare() {
eautopoint
eautoreconf
}
fi
src_prepare() {
epatch "${FILESDIR}"/${PN}-5.0.1-xzgrep-typo.patch #356627
}
src_configure() {
econf \
$(use_enable nls) \
$(use_enable threads) \
$(use_enable static-libs static)
}
src_install() {
emake install DESTDIR="${D}" || die
rm "${D}"/usr/share/doc/xz/COPYING* || die
mv "${D}"/usr/share/doc/{xz,${PF}} || die
prepalldocs
dodoc AUTHORS ChangeLog NEWS README THANKS
}
pkg_preinst() {
preserve_old_lib /usr/$(get_libdir)/liblzma.so.0
}
pkg_postinst() {
preserve_old_lib_notify /usr/$(get_libdir)/liblzma.so.0
}

@ -1,67 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-5.0.3.ebuild,v 1.11 2012/05/17 04:05:19 vapier Exp $
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
EAPI="2"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="git://ctrl.tukaani.org/xz.git"
inherit git autotools
SRC_URI=""
EXTRA_DEPEND="sys-devel/gettext dev-vcs/cvs >=sys-devel/libtool-2" #272880 286068
else
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="http://tukaani.org/xz/${MY_P}.tar.gz"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
S=${WORKDIR}/${MY_P}
EXTRA_DEPEND=
fi
inherit eutils multilib
DESCRIPTION="utils for managing LZMA compressed files"
HOMEPAGE="http://tukaani.org/xz/"
LICENSE="LGPL-2.1"
SLOT="0"
IUSE="nls static-libs +threads"
RDEPEND="!<app-arch/lzma-4.63
!app-arch/lzma-utils
!<app-arch/p7zip-4.57"
DEPEND="${RDEPEND}
${EXTRA_DEPEND}"
if [[ ${PV} == "9999" ]] ; then
src_prepare() {
eautopoint
eautoreconf
}
fi
src_configure() {
econf \
$(use_enable nls) \
$(use_enable threads) \
$(use_enable static-libs static)
}
src_install() {
emake install DESTDIR="${D}" || die
find "${D}"/usr/ -name liblzma.la -delete || die # dependency_libs=''
rm "${D}"/usr/share/doc/xz/COPYING* || die
mv "${D}"/usr/share/doc/{xz,${PF}} || die
prepalldocs
dodoc AUTHORS ChangeLog NEWS README THANKS
}
pkg_preinst() {
preserve_old_lib /usr/$(get_libdir)/liblzma.so.0
}
pkg_postinst() {
preserve_old_lib_notify /usr/$(get_libdir)/liblzma.so.0
}

@ -1,68 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-5.0.4-r1.ebuild,v 1.9 2013/02/17 19:48:08 zmedico Exp $
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
EAPI="4"
inherit eutils multilib toolchain-funcs libtool
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="http://git.tukaani.org/xz.git"
inherit git-2 autotools
SRC_URI=""
EXTRA_DEPEND="sys-devel/gettext dev-vcs/cvs >=sys-devel/libtool-2" #272880 286068
else
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="http://tukaani.org/xz/${MY_P}.tar.gz"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~ppc-aix ~amd64-fbsd ~arm-linux ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
S=${WORKDIR}/${MY_P}
EXTRA_DEPEND=
fi
DESCRIPTION="utils for managing LZMA compressed files"
HOMEPAGE="http://tukaani.org/xz/"
LICENSE="LGPL-2.1"
SLOT="0"
IUSE="nls static-libs +threads"
RDEPEND="!<app-arch/lzma-4.63
!app-arch/lzma-utils
!<app-arch/p7zip-4.57"
DEPEND="${RDEPEND}
${EXTRA_DEPEND}"
src_prepare() {
if [[ ${PV} == "9999" ]] ; then
eautopoint
eautoreconf
else
elibtoolize # to allow building shared libs on Solaris/x64
fi
}
src_configure() {
econf \
$(use_enable nls) \
$(use_enable threads) \
$(use_enable static-libs static)
}
src_install() {
default
gen_usr_ldscript -a lzma
prune_libtool_files --all
rm "${ED}"/usr/share/doc/xz/COPYING* || die
mv "${ED}"/usr/share/doc/{xz,${PF}} || die
}
pkg_preinst() {
preserve_old_lib /usr/$(get_libdir)/liblzma$(get_libname 0)
}
pkg_postinst() {
preserve_old_lib_notify /usr/$(get_libdir)/liblzma$(get_libname 0)
}

@ -1,70 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-5.0.4.ebuild,v 1.9 2012/11/09 19:38:22 grobian Exp $
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
EAPI="4"
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="http://git.tukaani.org/xz.git"
inherit git-2 autotools
SRC_URI=""
EXTRA_DEPEND="sys-devel/gettext dev-vcs/cvs >=sys-devel/libtool-2" #272880 286068
else
inherit libtool
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="http://tukaani.org/xz/${MY_P}.tar.gz"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~ppc-aix ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~amd64-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
S=${WORKDIR}/${MY_P}
EXTRA_DEPEND=
fi
inherit eutils multilib
DESCRIPTION="utils for managing LZMA compressed files"
HOMEPAGE="http://tukaani.org/xz/"
LICENSE="LGPL-2.1"
SLOT="0"
IUSE="nls static-libs +threads"
RDEPEND="!<app-arch/lzma-4.63
!app-arch/lzma-utils
!<app-arch/p7zip-4.57"
DEPEND="${RDEPEND}
${EXTRA_DEPEND}"
if [[ ${PV} == "9999" ]] ; then
src_prepare() {
eautopoint
eautoreconf
}
else
src_prepare() {
elibtoolize # to allow building shared libs on Solaris/x64
}
fi
src_configure() {
econf \
$(use_enable nls) \
$(use_enable threads) \
$(use_enable static-libs static)
}
src_install() {
default
find "${ED}"/usr/ -name liblzma.la -delete || die # dependency_libs=''
rm "${ED}"/usr/share/doc/xz/COPYING* || die
mv "${ED}"/usr/share/doc/{xz,${PF}} || die
}
pkg_preinst() {
preserve_old_lib /usr/$(get_libdir)/liblzma$(get_libname 0)
}
pkg_postinst() {
preserve_old_lib_notify /usr/$(get_libdir)/liblzma$(get_libname 0)
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-5.0.5-r1.ebuild,v 1.12 2013/12/27 12:31:59 hattya Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-5.0.5-r1.ebuild,v 1.13 2014/01/05 23:19:55 vapier Exp $
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
@ -50,7 +50,7 @@ multilib_src_configure() {
$(use_enable nls) \
$(use_enable threads) \
$(use_enable static-libs static) \
$(multilib_is_native_abi || echo --disable-{xz,xzdec,lzmadec,lzmainfo,lzma-links,scripts})
$(multilib_build_binaries || echo --disable-{xz,xzdec,lzmadec,lzmainfo,lzma-links,scripts})
}
multilib_src_install() {

@ -1,68 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-5.0.5.ebuild,v 1.1 2013/06/30 19:26:28 vapier Exp $
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
EAPI="4"
inherit eutils multilib toolchain-funcs libtool
if [[ ${PV} == "9999" ]] ; then
EGIT_REPO_URI="http://git.tukaani.org/xz.git"
inherit git-2 autotools
SRC_URI=""
EXTRA_DEPEND="sys-devel/gettext dev-vcs/cvs >=sys-devel/libtool-2" #272880 286068
else
MY_P="${PN/-utils}-${PV/_}"
SRC_URI="http://tukaani.org/xz/${MY_P}.tar.gz"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~x64-freebsd ~x86-freebsd ~hppa-hpux ~ia64-hpux ~amd64-linux ~arm-linux ~ia64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
S=${WORKDIR}/${MY_P}
EXTRA_DEPEND=
fi
DESCRIPTION="utils for managing LZMA compressed files"
HOMEPAGE="http://tukaani.org/xz/"
LICENSE="LGPL-2.1"
SLOT="0"
IUSE="nls static-libs +threads"
RDEPEND="!<app-arch/lzma-4.63
!app-arch/lzma-utils
!<app-arch/p7zip-4.57"
DEPEND="${RDEPEND}
${EXTRA_DEPEND}"
src_prepare() {
if [[ ${PV} == "9999" ]] ; then
eautopoint
eautoreconf
else
elibtoolize # to allow building shared libs on Solaris/x64
fi
}
src_configure() {
econf \
$(use_enable nls) \
$(use_enable threads) \
$(use_enable static-libs static)
}
src_install() {
default
gen_usr_ldscript -a lzma
prune_libtool_files --all
rm "${ED}"/usr/share/doc/xz/COPYING* || die
mv "${ED}"/usr/share/doc/{xz,${PF}} || die
}
pkg_preinst() {
preserve_old_lib /usr/$(get_libdir)/liblzma$(get_libname 0)
}
pkg_postinst() {
preserve_old_lib_notify /usr/$(get_libdir)/liblzma$(get_libname 0)
}

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-5.1.3_alpha.ebuild,v 1.1 2013/10/28 10:21:19 polynomial-c Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-5.1.3_alpha.ebuild,v 1.2 2014/01/05 23:19:55 vapier Exp $
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
@ -50,7 +50,7 @@ multilib_src_configure() {
$(use_enable nls) \
$(use_enable threads) \
$(use_enable static-libs static) \
$(multilib_is_native_abi || echo --disable-{xz,xzdec,lzmadec,lzmainfo,lzma-links,scripts})
$(multilib_build_binaries || echo --disable-{xz,xzdec,lzmadec,lzmainfo,lzma-links,scripts})
}
multilib_src_install() {

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-9999.ebuild,v 1.17 2013/10/19 02:28:15 vapier Exp $
# $Header: /var/cvsroot/gentoo-x86/app-arch/xz-utils/xz-utils-9999.ebuild,v 1.18 2014/01/05 23:19:55 vapier Exp $
# Remember: we cannot leverage autotools in this ebuild in order
# to avoid circular deps with autotools
@ -50,7 +50,7 @@ multilib_src_configure() {
$(use_enable nls) \
$(use_enable threads) \
$(use_enable static-libs static) \
$(multilib_is_native_abi || echo --disable-{xz,xzdec,lzmadec,lzmainfo,lzma-links,scripts})
$(multilib_build_binaries || echo --disable-{xz,xzdec,lzmadec,lzmainfo,lzma-links,scripts})
}
multilib_src_install() {

@ -0,0 +1,61 @@
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-arch/zip/zip-3.0-r2.ebuild,v 1.1 2014/01/05 18:26:15 vapier Exp $
EAPI="4"
inherit toolchain-funcs eutils flag-o-matic
MY_P="${PN}${PV//.}"
DESCRIPTION="Info ZIP (encryption support)"
HOMEPAGE="http://www.info-zip.org/"
SRC_URI="mirror://sourceforge/infozip/${MY_P}.zip"
LICENSE="Info-ZIP"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd ~arm-linux"
IUSE="bzip2 crypt natspec unicode"
RDEPEND="bzip2? ( app-arch/bzip2 )
natspec? ( dev-libs/libnatspec )"
DEPEND="${RDEPEND}
app-arch/unzip"
S=${WORKDIR}/${MY_P}
src_prepare() {
epatch "${FILESDIR}"/${PN}-3.0-no-crypt.patch #238398
epatch "${FILESDIR}"/${PN}-3.0-pic.patch
epatch "${FILESDIR}"/${PN}-3.0-exec-stack.patch
epatch "${FILESDIR}"/${PN}-3.0-build.patch
use natspec && epatch "${FILESDIR}"/${PN}-3.0-natspec.patch #275244
}
src_configure() {
append-cppflags \
-DLARGE_FILE_SUPPORT \
-DUIDGID_NOT_16BIT \
-D$(usex bzip2 '' NO)BZIP2_SUPPORT \
-D$(usex crypt '' NO)CRYPT \
-D$(usex unicode '' NO)UNICODE_SUPPORT
# Third arg disables bzip2 logic as we handle it ourselves above.
sh ./unix/configure "$(tc-getCC)" "-I. -DUNIX ${CFLAGS} ${CPPFLAGS}" "${T}" || die
if use bzip2 ; then
sed -i -e "s:LFLAGS2=:&'-lbz2 ':" flags || die
fi
}
src_compile() {
emake \
CPP="$(tc-getCPP)" \
-f unix/Makefile generic
}
src_install() {
dobin zip zipnote zipsplit
doman man/zip{,note,split}.1
if use crypt ; then
dobin zipcloak
doman man/zipcloak.1
fi
dodoc BUGS CHANGES README* TODO WHATSNEW WHERE proginfo/*.txt
}

@ -1,8 +1,4 @@
DIST spideroak-bin-4.1.9860_amd64.deb 24201826 SHA256 3f6ba38c3793391dc679953f65cefc3e58017650ffc83251a1c54f4c09bfec6f SHA512 c287f8bb697c51f10800c1763b8d246151760e1b55db4db5c60e30524dc100049b697feb60c69569383971f4981d9d85cc6443e6b8abac0b20620c28a19a73c2 WHIRLPOOL ff4b2b81bab27c251613b2d33ec395b75017f4a4ced2a713f26712a61a078ae95d5a0f58e2bd14e2795d6317ea630e6305db73f753b5dabb0ae081823c217779
DIST spideroak-bin-4.1.9860_x86.deb 23635590 SHA256 2850bddf8a227e14b6b4fc1590e3a1c49ee5a31d23d154610785daaf1aa52df1 SHA512 e972a1a7fe7b63c69e061b9be74f0e56e3fae282fa6b84e3a1e57629f521952bdf134ea173df492952e39f4fd3547e995af1eea04309459a86dd498df21de7c3 WHIRLPOOL 34401905c258e52e3131df40c5e75350a3f5616948bfe2985109e12cef175e5e0c3e602628b1bd46db3c3f062a20be83f508bcd60958684eb84b40ce425feee4
DIST spideroak-bin-4.8.3_amd64.deb 22342190 SHA256 8ebefdaf8560b3a7c8afeae5b2387e302d988be194902014b9d294a68ec8d5f7 SHA512 b41eed416ed8fccc29d66c0f28f2df3590f10a9cc5626c8b5fcea4c32b2c9a359ffda8b0cac7420c11864d0b40f14cefacf2a3fcd49140f2c23016a3d1354bc0 WHIRLPOOL 586f3f6864b51082501044dc0a24cf9185adb6a0f120a96cf40cd488acef17f38f0f02e280b15bc7d10c44de3aa69677a2049179575c272a928f5a6d644991e4
DIST spideroak-bin-4.8.3_x86.deb 22063548 SHA256 8db74d666b10ca11fa6d630598856ba48dbcd5bf52287d80e73a3fb623c99b40 SHA512 dd5fddc1d60be5f6ae2cacb9270d7064d549dfb1154c15e412083abb05b8008b66fe1e3935a00f5bc5f63dd5f870e8180a5d5a746c658f59ba0693f39e52b7b5 WHIRLPOOL f41cbb53d3496f3da687f42fa9a7b1ffea7488f8ce1e88b4c37ec8d08a5444fff418f0afc86acb02befaf167c7de6cbf60614046268dca3c69359113f28a060f
DIST spideroak-bin-5.0.1_amd64.deb 25185278 SHA256 ac01edd5f4df184a6b89855ecfcff70b3dd0639d135883354cb2758aa9b51da4 SHA512 81c92336cee615d2681b442efec2407dc571b19ad8d8c392ef6249409723adc4c1c1d629d6f65a21dc372b115f85cb516d52ca64d488ae54c5c49028c728c9c3 WHIRLPOOL 685eea007978ee1474249f55b6f74ac9ab2cec42ec35bbbc76718f358eae2456754f46dd9938a44f95b3759b8f4179bc800832e99365ab6033f4c30ba52d82f1
DIST spideroak-bin-5.0.1_x86.deb 24865858 SHA256 0831e6845c2d9a86f5527bf7e731ff23a0e6380ececa9fd2beaec3a814342279 SHA512 f1c4a6bb490e43785d360c8c2044e24a13b917aab6d1aa39496c20a02ebc2524310c4bd6748ec2ee59e49c3c3b975fab4d811cdd588b7db23552abeec113b9d4 WHIRLPOOL 4df7e956d2258f302f543d4b069a4df57fb887b7f25bfaf4b5f47588f26aedfec2ead0fe6657729c1f9c583241ebd078d0918d46a470adb369fe1b0485ece9fc
DIST spideroak-bin-5.0.3_amd64.deb 25230410 SHA256 c83cafcb4d65192d30b8bb99ba1bc53a359a869bcf7bf93cf9edabe806b12947 SHA512 f2a5a943ff2221bafd14d3696302890dbbea2da97fb704e44a94e7ec77b9e0958bf604416e5036e2605b8957353a070e0a317e03ab6ac6220f911e9057026321 WHIRLPOOL 1a5eb5c911eb0c2ecdf051d49f7dfab8e1cbb3f8cce8eaa68cf3306f1d6608137d3c3f27f123101daf5544645a7adfa29f36c8986e820582a296b09e8ca388b0
DIST spideroak-bin-5.0.3_x86.deb 24913558 SHA256 6a09cc9b448b8fe808ac0ed0007849c56933ddf91a8d6183348d9204d40db609 SHA512 dd408161f4e3776b2d0ade2582255e3d26b8ba24e1474ba413aa38274a2a9c9d0a418eba9b07c4c4e7dbb20170a712bdc9b8248ebcc2239695effa87ac1bd872 WHIRLPOOL 57de0c3b52db03f7d6d198353639cc02702ea36e6825c58a2266444386bc37d842f91796d3ee00f4977a7550bd458b39e4973d80eb64b4ecd74eb2dd5c10f4e8
DIST spideroak-bin-5.1.1_amd64.deb 25226818 SHA256 9c421cd5c97be9f5624c3548e73d4881ac4387b24161f52931401838b2fe0d9a SHA512 0c8f79227eae02ebbd5ad4c9133d774b561f28a7b3e217cb96b5ac3d8791d584b02517e8f088bfdb702b0702497c6211b854240f5f8d9850c44774550dabf386 WHIRLPOOL 4f5304da8c733930b42c9cba11f2718401e2f321b5ccb5483dd244e873bbe4fbdd9c1faf7c34f41346adf08d0e49ffd148439bd1ea5221b609abc977a7483682
DIST spideroak-bin-5.1.1_x86.deb 24909618 SHA256 f7c17ed2bd2566d79b764e81ea5632f2dc72a480f849a7ac07fb04c1d608279f SHA512 c62d199c31fa3b05e4eecd28f9424475ba9fc02f5b983de50892d725c60374ea6bfca0c73d475d6e9b0097d0600e69818e6651a13945e22bc9952348686fa6c7 WHIRLPOOL 37853681e51209798d10122900ad4949dd252b6d4fc1066b6687bc14d81555be3f139e4e9369a4007b1b2bbe5d7e05a67eae66adca0ae2a9759baf4be5fe0992

@ -1,8 +0,0 @@
--- usr/bin/SpiderOak.orig 2012-08-26 08:10:42.387011624 +0200
+++ usr/bin/SpiderOak 2012-08-26 08:10:48.899956298 +0200
@@ -5,4 +5,4 @@
QT_PLUGIN_PATH= ; export QT_PLUGIN_PATH
SpiderOak_EXEC_SCRIPT=$(cd `dirname $0` ; pwd)/SpiderOak
export SpiderOak_EXEC_SCRIPT
-exec "/opt/SpiderOak/lib/SpiderOak" "$@"
+exec "/opt/SpiderOak/lib/SpiderOak" --headless "$@"

@ -13,6 +13,5 @@
</maintainer>
<use>
<flag name='headless'>Build without graphic frontend</flag>
<flag name='qt-bundled'>Use bundled Qt4 libraries</flag>
</use>
</pkgmetadata>

@ -1,89 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/spideroak-bin/spideroak-bin-4.1.9860.ebuild,v 1.6 2013/03/23 19:44:29 vapier Exp $
EAPI=4
inherit eutils versionator unpacker
REV=$(get_version_component_range 3)
SRC_URI_BASE="https://spideroak.com/directdownload?platform=ubuntulucid"
DESCRIPTION="An easy, secure and consolidated free online backup, storage, access and sharing system."
HOMEPAGE="https://spideroak.com"
SRC_URI="x86? ( ${SRC_URI_BASE}&arch=i386&revision=${REV} -> ${P}_x86.deb )
amd64? ( ${SRC_URI_BASE}&arch=x86_64&revision=${REV} -> ${P}_amd64.deb )"
RESTRICT="mirror strip"
LICENSE="spideroak"
SLOT="0"
KEYWORDS="amd64 x86"
IUSE="dbus headless qt-bundled"
RDEPEND=">=dev-libs/glib-2.12.0
dbus? ( sys-apps/dbus )
>=sys-devel/gcc-4
>=sys-libs/glibc-2.7
!headless? (
>=media-libs/fontconfig-2.4.0
>=media-libs/freetype-2.3.5
>=x11-libs/libICE-1.0.0
x11-libs/libSM
x11-libs/libX11
x11-libs/libXext
x11-libs/libXrender
!qt-bundled? ( dev-qt/qtgui:4[accessibility,dbus] )
)"
DEPEND="${RDEPEND}"
S=${WORKDIR}
src_prepare() {
# change /usr/ to /opt/SpiderOak/ in start script
sed -i 's:/usr/lib:/opt:g' usr/bin/SpiderOak || die "sed failed"
# change /usr/ to /opt/ in .desktop file
sed -i 's:/usr/bin/SpiderOak:/opt/bin/SpiderOak:g' usr/share/applications/spideroak.desktop || die "sed failed"
# disable GUI if headless useflag is enabled
if use headless; then
sed -i 's:"$@":--headless "$@":' usr/bin/SpiderOak || die "sed failed"
fi
# remove shipped libstdc++.so.6 as it does not provide LIBCXX_3.4.11
# and it seems to work alright with the one from >=gcc-4
rm usr/lib/SpiderOak/libstdc++.so.6 || die "rm libstdc++.so.6 failed"
if ! use qt-bundled || use headless; then
# rm precompiled and bundled qt libs
rm usr/lib/SpiderOak/libQt*.so.4 || die "rm libQt*.so.4 failed"
fi
}
src_install() {
insinto /opt/SpiderOak
doins -r usr/lib/SpiderOak/*
exeinto /opt/SpiderOak
doexe usr/lib/SpiderOak/SpiderOak
exeinto /opt/bin
doexe usr/bin/SpiderOak
if use dbus; then
insinto /etc/dbus-1
doins -r etc/dbus-1/*
fi
if ! use headless; then
domenu usr/share/applications/spideroak.desktop
doicon usr/share/pixmaps/spideroak.png
fi
}
pkg_postinst() {
if use headless ; then
einfo "For instructions on running SpiderOak without a GUI, please read the FAQ:"
einfo " https://spideroak.com/faq/questions/62/how_do_i_install_spideroak_on_a_headless_linux_server/"
einfo " https://spideroak.com/faq/questions/67/how_can_i_use_spideroak_from_the_commandline/"
fi
}

@ -1,96 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/spideroak-bin/spideroak-bin-4.8.3-r1.ebuild,v 1.3 2013/03/24 17:55:18 blueness Exp $
EAPI="4"
inherit eutils unpacker
SRC_URI_BASE="https://spideroak.com/getbuild?platform=ubuntu"
DESCRIPTION="An easy, secure and consolidated free online backup, storage, access and sharing system."
HOMEPAGE="https://spideroak.com"
SRC_URI="x86? ( ${SRC_URI_BASE}&arch=i386&version=${PV} -> ${P}_x86.deb )
amd64? ( ${SRC_URI_BASE}&arch=x86_64&version=${PV} -> ${P}_amd64.deb )"
RESTRICT="mirror strip"
LICENSE="spideroak"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="dbus headless"
DEPEND="dev-util/patchelf"
RDEPEND="
app-crypt/mit-krb5[keyutils]
dbus? ( sys-apps/dbus )
!headless? (
media-libs/fontconfig
media-libs/freetype:2
dev-libs/glib:2
x11-libs/libICE
x11-libs/libSM
x11-libs/libX11
x11-libs/libXext
x11-libs/libXmu
x11-libs/libXrender
x11-libs/libXt
)
"
S=${WORKDIR}
QA_PREBUILT="*"
src_prepare() {
use headless && epatch "${FILESDIR}"/${P}-headless.patch
# Set RPATH for preserve-libs handling (bug #400979).
cd "${S}/opt/SpiderOak/lib" || die
local x
for x in `find` ; do
# Use \x7fELF header to separate ELF executables and libraries
[[ -f ${x} && $(od -t x1 -N 4 "${x}") == *"7f 45 4c 46"* ]] || continue
patchelf --set-rpath '$ORIGIN' "${x}" || \
die "patchelf failed on ${x}"
done
}
src_install() {
#install the wrapper script
exeinto /usr/bin
doexe usr/bin/SpiderOak
# inotify_dir_watcher needs to be marked executable, bug #453266
#chmod a+rx opt/SpiderOak/lib/inotify_dir_watcher
#install the executable
exeinto /opt/SpiderOak/lib
doexe opt/SpiderOak/lib/SpiderOak
doexe opt/SpiderOak/lib/inotify_dir_watcher
rm -f opt/SpiderOak/lib/{SpiderOak,inotify_dir_watcher}
#install the prebundled libraries
insinto /opt/SpiderOak
doins -r opt/SpiderOak/lib
#install the config files
use dbus || rm -rf etc/dbus-1
insinto /
doins -r etc
#install the manpage
doman usr/share/man/man1/SpiderOak.1.gz
if ! use headless ; then
domenu usr/share/applications/spideroak.desktop
doicon usr/share/pixmaps/SpiderOak.png
fi
}
pkg_postinst() {
if use headless; then
einfo "For instructions on running SpiderOak without a GUI, please read the FAQ:"
einfo " https://spideroak.com/faq/questions/62/how_do_i_install_spideroak_on_a_headless_linux_server/"
einfo " https://spideroak.com/faq/questions/67/how_can_i_use_spideroak_from_the_commandline/"
fi
}

@ -1,8 +1,8 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-backup/spideroak-bin/spideroak-bin-5.0.1.ebuild,v 1.2 2013/05/25 13:19:13 blueness Exp $
# $Header: /var/cvsroot/gentoo-x86/app-backup/spideroak-bin/spideroak-bin-5.1.1.ebuild,v 1.1 2014/01/04 15:01:28 blueness Exp $
EAPI="4"
EAPI="5"
inherit eutils unpacker
@ -42,7 +42,7 @@ S=${WORKDIR}
QA_PREBUILT="*"
src_prepare() {
use headless && epatch "${FILESDIR}"/${P}-headless.patch
use headless && epatch "${FILESDIR}"/${PN}-5.0.1-headless.patch
# Set RPATH for preserve-libs handling (bug #400979).
cd "${S}/opt/SpiderOak/lib" || die

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-cdr/cdrtools/cdrtools-3.00.ebuild,v 1.17 2013/01/02 17:01:44 billie Exp $
# $Header: /var/cvsroot/gentoo-x86/app-cdr/cdrtools/cdrtools-3.00.ebuild,v 1.18 2014/01/06 15:49:11 billie Exp $
EAPI=2

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-cdr/cdrtools/cdrtools-3.01_alpha17.ebuild,v 1.8 2013/12/23 15:28:38 ago Exp $
# $Header: /var/cvsroot/gentoo-x86/app-cdr/cdrtools/cdrtools-3.01_alpha17.ebuild,v 1.9 2014/01/06 15:49:11 billie Exp $
EAPI=5

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-cdr/cdrtools/cdrtools-3.01_alpha19.ebuild,v 1.1 2013/11/23 13:01:30 billie Exp $
# $Header: /var/cvsroot/gentoo-x86/app-cdr/cdrtools/cdrtools-3.01_alpha19.ebuild,v 1.2 2014/01/06 15:49:11 billie Exp $
EAPI=5
@ -79,6 +79,7 @@ src_prepare() {
cd "${S}"/DEFAULTS
local os="linux"
[[ ${CHOST} == *-darwin* ]] && os="mac-os10"
[[ ${CHOST} == *-freebsd* ]] && os="freebsd"
sed -i \
-e "s|^\(DEFLINKMODE=\).*|\1\tdynamic|" \

@ -1,6 +1,6 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-crypt/mhash/mhash-0.9.9.9-r1.ebuild,v 1.10 2013/11/22 08:52:16 haubi Exp $
# $Header: /var/cvsroot/gentoo-x86/app-crypt/mhash/mhash-0.9.9.9-r1.ebuild,v 1.11 2014/01/04 21:30:37 robbat2 Exp $
EAPI=4
inherit eutils
@ -25,6 +25,9 @@ src_prepare() {
"${FILESDIR}"/${P}-force64bit-tiger.patch \
"${FILESDIR}"/${P}-align.patch \
"${FILESDIR}"/${P}-alignment.patch
sed -i \
-e 's/--netscape//' \
"${S}"/doc/Makefile.in
}
src_configure() {

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,20 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-be/aspell-be-0.01.ebuild,v 1.9 2012/05/17 19:47:52 aballier Exp $
ASPELL_LANG="Belarusian"
inherit eutils aspell-dict
LICENSE="GPL-2"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd"
SRC_URI="mirror://gnu/aspell/dict/be/aspell5-be-${PV}.tar.bz2"
S="${WORKDIR}/aspell5-be-${PV}"
IUSE="classic"
src_unpack() {
unpack ${A}
use classic || epatch "${FILESDIR}"/aspell5-be-${PV}-official.patch
}

@ -1,7 +1,7 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
<use>
<flag name='classic'>Support classic spelling by default</flag>
</use>

@ -1,2 +1 @@
DIST aspell-bg-0.50-0.tar.bz2 271589 SHA256 16cc1f950422dddbe713e6337d5bba11764faf3e70818b3fc87b6bb42ec46ff7 SHA512 876f3739a62cbf07c2b168eb6e4168b88eae033f7d7ad787a546f3b15119741a17fb40dfad18cfe8a1f4f032b16740824a4d5123d3ea32d0afd89bea65c6e557 WHIRLPOOL e5f12940f481b4d6c5f72efbead3dc8ad274bde9d0d034b86e43ecdf5788b8b812877867c10e9fb9de73ea3b424089dd32c3f392eb040e8460b734c7b9c32650
DIST aspell6-bg-4.1-0.tar.bz2 138940 SHA256 74570005dc2be5a244436fa2b46a5f612be84c6843f881f0cb1e4c775f658aaa SHA512 73ba292e9e78be21a9bd32d802a3f87b5b8200b64fcdc6e8bb47c834eb9dfd855a3397e8deb83e7879dc0dab7b118ae117832032fb9a450976c929bf12926881 WHIRLPOOL d1d83f2f935f5210cfbabcdc7e30477a99fb34d9cf10228012b22db88300869f7d34e56d6f21ddb2a056828856e4d2b048b06c59b08de48f6216fc26d295f7bc

@ -1,12 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-bg/aspell-bg-0.50.0.ebuild,v 1.7 2012/05/17 19:48:27 aballier Exp $
ASPELL_LANG="Bulgarian"
inherit aspell-dict
LICENSE="GPL-2"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE=""

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,3 +1 @@
DIST aspell-ca-0.50-2.tar.bz2 137626 SHA256 ef34688abf28aa5a3cb9da1428df1d88dcd595148354a3e70efbdcf16ab2084b SHA512 6a3ca0927082e50b5ce7cb29ace1c566bc741659a0ca45b97e0017f470362de57fe68175497689f935d028b2ca20d63ae7393ac7d5826579aff24a071f2d3722 WHIRLPOOL e01ae311d7396a113161d482f4f24b2a5216df37fcacf911d6b44271d1df9564b364b9c2947570e7badc5f94176997d5ae4f055e9947e35e6aa4c84e70060948
DIST aspell6-ca-2.1.5-1.tar.bz2 227561 SHA256 ebdae47edf87357a4df137dd754737e6417452540cb1ed34b545ccfd66f165b9 SHA512 9f3baef829948a4979c03dcc380caf3fa249912fa94d375a41df4d34d62ffdbf781a777eb437d101bdf99873e9d515a4d27ebef08f71ff435f07e845194c9f0a WHIRLPOOL f23f7100ae5cd5f41575b7bddccba81144a76da18874413640d492175ff2b17e1a7cee4cbdb3ce6cace24ad2b3279db4e3f33f15e0b550bafdf0ba3a0aa0a7f4
DIST aspell6-ca-20040130-1.tar.bz2 222986 SHA256 a531b7764ebdb91655e2c5dac8a3625480b675579f16e64d1fd4409f6c6c672f SHA512 c3d6057bb7eddd8091658c88aa49568da1e6c490d3a3ee2b6a21e6a5f0d0a2895298a492940f278d8827ae60a6c57cea3a754edd4989b5f1f1cd5d230833d6ec WHIRLPOOL 0f1e6314ef7ffe61d3f1b091d2d5e3dd96c9cc2a92174836306f26390581eccc1e45400167cc9b784557158d0aefbba12f7f653174f8672b54dc8da03ccff319

@ -1,12 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-ca/aspell-ca-0.50.2.ebuild,v 1.10 2012/05/17 19:49:39 aballier Exp $
ASPELL_LANG="Catalan"
inherit aspell-dict
LICENSE="GPL-2"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd"
IUSE=""

@ -1,16 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-ca/aspell-ca-0.60.20040130.ebuild,v 1.11 2012/05/17 19:49:39 aballier Exp $
ASPELL_LANG="Catalan"
ASPOSTFIX="6"
inherit aspell-dict
LICENSE="GPL-2"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE=""
FILENAME="aspell6-ca-20040130-1"
SRC_URI="mirror://gnu/aspell/dict/ca/${FILENAME}.tar.bz2"
S=${WORKDIR}/${FILENAME}

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,3 +1 @@
DIST aspell-cs-0.50-2.tar.bz2 457939 SHA256 32341c8caf6db768e4cb35ddbcb10e20fdf936d4a3e0274d574ec8a5ef056ba8 SHA512 8dc82ffdcf99974b88060d9db53fcfc862fe52399352febcab5d014b7b23b65aa132b9b210de3c1a06eade7fe748fd885b38ddddf649688a4d30673663876cf5 WHIRLPOOL 08f1b1519a49bce902b876a6ee28bc2f962138685efab23338bd3a71b6d8bffe88421f5dc8e62fade48c3a508fa483ac386649eebbc30acfdeff4a689e0b0aaf
DIST aspell-cs-0.51-0.tar.bz2 626618 SHA256 7c56c5cd6e74d60749e68effa9dc45cb282cb3bb6a9c56b51f7594a72216ea47 SHA512 06a81371662590375fa3f615b9350b1d948a621854f3d7949e12c4a4e711bdb5c80a827a5db356c1ba03054d1035fb558f56ef42d3a149e56cea055617b69802 WHIRLPOOL c556ca251def0677288c04e29c6befe705a083c9045d35da4f48d3a09e4b486b4909cf657440807a7ea9aac3e660bb78eb0950509e89263db34287e236ce8261
DIST aspell6-cs-20040614-1.tar.bz2 451507 SHA256 01c091f907c2fa4dfa38305c2494bb80009407dfb76ead586ad724ae21913066 SHA512 b4d3e46907a00c7de4d19766dc29f089ec119b736de1340ff5f56be9d0a1c8c90fa2b156173f312c13c589750ec7551e79bd7aa092d31fa6d5f05ed0b4b12c9a WHIRLPOOL 9296add9e61d0c8fe419a29a0afe40deb63c666e9f5eab656d48597ec47faea201dde254f3250cecbccb9ac23856ce22b9b6cce6498bfc24884c9134dd04ba47

@ -1,12 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-cs/aspell-cs-0.50.2.ebuild,v 1.10 2012/05/17 19:50:16 aballier Exp $
ASPELL_LANG="Czech"
inherit aspell-dict
LICENSE="GPL-2"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd"
IUSE=""

@ -1,12 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-cs/aspell-cs-0.51.0.ebuild,v 1.8 2012/05/17 19:50:16 aballier Exp $
ASPELL_LANG="Czech"
inherit aspell-dict
LICENSE="GPL-2"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd"
IUSE=""

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,3 +1 @@
DIST new_aspell-da-1.6.0.tar.gz 336812 SHA256 2eb764c3ba1b0ceeac32f54e2161185d6f72c3cdb314c877ff46e194ae2ff067 SHA512 26b9d255cf48b944c2136c313e9535d602b96866c42dcb2e4b27389351f1c3953d685a177260410d25239ff9fc2a7b2eb628a5b15104315e6f2181fcdd2c31d6 WHIRLPOOL c50c50479c4f7bf1cfae0084b8481e297329b53587b5dc8fdbef35002444854dcd4b9c19a35e5bcf61988cdb69300d30ddd4285c3901afd023951d3eee4fa0f6
DIST new_aspell-da-1.6.34.tar.bz2 285238 SHA256 fd1fcc67b13c45137e4502c287b47ba15e0b1463dc63b4afb011efb0ac6c9f7c SHA512 25791ec2525d3915be35ffa93d7d5914fe7419eb4457519bd7b2f86e3678d96fee569381d9c74dfb393f0c672c76832e51d66dfca996a4b8e0cb0c51e28cfeb2 WHIRLPOOL 9ca31261d180caa2f41c71a6ff1165bd81aca19148106a78c96f376ac752a21a5c7f5ed674dbde835a928a3c74877154223aa9e4a79003ba9ed24bd2b88a4e22
DIST new_aspell-da-1.7.42.tar.bz2 235483 SHA256 79e3a040e7b03771be6a7494da9c04a8512f01902619273795f18f347167e228 SHA512 97d3bc95800d5115ce640a3939bf6c94998f1090f1484da3ffb1104318200ca3650d2b32120c36030b87b4b929b95b8f764f6f51dee66ee916700318f6b4e755 WHIRLPOOL 5d57bcbbff3290b0fcd4dc3c4b4af4caab1c44c2c27159bf7e4afe60ab19b6c06e405dc7082f4804bfe8765bbeb545ed22a8fa9bbaa1a1a9b0d99ce53acb1269

@ -1,16 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-da/aspell-da-1.6.0.ebuild,v 1.9 2012/05/17 19:51:28 aballier Exp $
ASPELL_LANG="Danish"
inherit aspell-dict
LICENSE="GPL-2"
HOMEPAGE="http://da.speling.org"
KEYWORDS="alpha amd64 arm hppa ia64 ~m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~ppc-macos"
IUSE=""
SRC_URI="http://da.speling.org/filer/new_${P}.tar.gz"
S=${WORKDIR}/new_${P}

@ -1,17 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-da/aspell-da-1.6.34.ebuild,v 1.9 2012/08/26 18:30:33 armin76 Exp $
ASPELL_LANG="Danish"
inherit aspell-dict
LICENSE="GPL-2"
HOMEPAGE="http://da.speling.org"
KEYWORDS="alpha amd64 arm hppa ia64 ~m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~ppc-macos"
IUSE=""
SRC_URI="http://da.speling.org/filer/new_${P}.tar.bz2"
S="${WORKDIR}/new_${P}"

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,7 +1,6 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer>
<email>ulm@gentoo.org</email>
</maintainer>

@ -1,2 +1 @@
DIST aspell-de-0.50-2.tar.bz2 304820 SHA256 f1b6f23d694fc12da193de5d5d2232797e87aecf684d8aa5872d83176eeb84ba SHA512 79b0c9776c4a9b8bb0c5b3902bd1aa5daf6262b2a02753165d2fdb056b9bb0efcf5c4290d85bf98103cca29cf7aa81f99f725ea0faf5ab98b36ce080bdf8afbc WHIRLPOOL 5ab8df12178211a57f28e395000f43d66ee0f6c4ff067c5ca20c23cd2d41e7c096cc6601043dd72272dc02221dfab1624b59bf85c2b74ffa18b91ac5667fae82
DIST aspell6-de-20030222-1.tar.bz2 274407 SHA256 ba6c94e11bc2e0e6e43ce0f7822c5bba5ca5ac77129ef90c190b33632416e906 SHA512 2005b56938565b11b761ace31006c1accfd32d401685cc5676cc4d85406bedda81b1df062949359f1bd6972073d3713204d87c7f81d9535fa956cdf130dd8db6 WHIRLPOOL fcf98e5a8eeb19ebb35c62c10a289cae3475adc680db0955aa0308bc177aa0051b4697d7d487ea3ac3d7803a96f0c546706a91562a0456b41155463b33b80284

@ -1,12 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-de/aspell-de-0.50.2.ebuild,v 1.10 2012/05/17 19:52:04 aballier Exp $
ASPELL_LANG="German and Swiss-German"
inherit aspell-dict
LICENSE="GPL-2"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd"
IUSE=""

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,3 +1 @@
DIST aspell-en-0.51-1.tar.bz2 172874 SHA256 0a853f7f117a79bcc92740c19386b46a832d12eacd73cee1ceba591953486065 SHA512 c7ed17abe9d11fe917f2fccd4402fe24b417d8ea4710004a34f35dfc53663b3592fbb12d421553716c63fd8456be241af5d7a1d1adff8f55014b3cd0d757612d WHIRLPOOL 2c6e1787ba948f3b415bd94e8b4eb8a57a4333c400cfd57d04436547ed459b8bfb0c5523f0fe0cfc5d34427f1dfbaf7d55bcc4e8652d6754c8a5b84c4628bc59
DIST aspell6-en-6.0-0.tar.bz2 182442 SHA256 24f0688711d2b893fa06c16d14d0aa3a8000e326226b839aad32611f7ace4898 SHA512 ceda45c27bd7fbd91ab202f2fabfcb7078c725a3539d7ca7dc278f67bf1e814e5776e4466147d98afa660451c07522fbd058de7663ad870bec6f61baf4ab718d WHIRLPOOL 59a84e74ef2e9b62ee2fc9e830552591e678eb1071bf44259b33974465c056492f8eb7d9dbc61c6c1f40ad2784fbece46b6a324aa5a88e9422f1bb0bb898b552
DIST aspell6-en-7.1-0.tar.bz2 175360 SHA256 ff9df3c2e8c5bb19c6a66078b36a0ef4c4dfb0fcb969e29f7b5345e26d748d0a SHA512 4ede7cb1d231929835e5aa25d1d067ce2f59064e42a27b271e5fd1afdf6e418220720caad2a0c16ec63485e37528d9a515ba55035caeb01372b57410e1152f0f WHIRLPOOL b2e412a3de3a00347f760be2f6e95ccab6c1a9d8320e02408d71524e5fdc12d534f40e9a905fe1abc2f4902571ea30c87a7c3ff050c22d93307a1a6aaf8fb8e4

@ -1,12 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-en/aspell-en-0.51.1.ebuild,v 1.9 2012/12/14 11:57:57 ulm Exp $
ASPELL_LANG="English (US, British, Canadian)"
inherit aspell-dict
LICENSE="myspell-en_CA-KevinAtkinson public-domain Princeton Ispell"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd"
IUSE=""

@ -1,14 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-en/aspell-en-6.0.0.ebuild,v 1.21 2012/12/14 11:57:57 ulm Exp $
ASPELL_LANG="English (US, British, Canadian)"
ASPOSTFIX="6"
inherit aspell-dict
LICENSE="myspell-en_CA-KevinAtkinson public-domain Princeton Ispell"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~sparc-solaris ~x86-solaris"
IUSE=""

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,2 +1 @@
DIST aspell-eo-0.50-2.tar.bz2 89703 SHA256 6c61a64297804afd4ddf21660caecf1c966dd57e577789b045e9d9944a6d70a7 SHA512 216bc18248d9f4ff0b2a59225440b97536286c14f33b91ce927e4345912e88b5c278b2f62f99b0850cfeac5b7dfcf11afadd7a324d74a4d5bbafbf6da207c675 WHIRLPOOL 5cd219fc098d80cd6ac5b956b187be0c11942982418b82e1f10452690da96c58a626eac79f1048b8456224daddfc5292e16b018d1272090c6ddfc8da2a2002b7
DIST aspell6-eo-2.1.20000225a-2.tar.bz2 71591 SHA256 41d2d18d6a4de6422185a31ecfc1a3de2e751f3dfb2cbec8f275b11857056e27 SHA512 172ff88745e36abccf47ed8526868e3c2fd1f41c6da15893e723ef70bb29fc0e4b4e614f1eae8b3db8206f971f9a9cd9ec627fce2dae611804a276118367dfda WHIRLPOOL fa9394c2a71a1a99dffe7be6302eeacde72f649e63d0fba53760b411ec455e0a555a95d23b2bf85d931c8bf500387e238a23b867886bbea070176f66dd17cd33

@ -1,12 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-eo/aspell-eo-0.50.2.ebuild,v 1.11 2012/05/17 19:54:26 aballier Exp $
ASPELL_LANG="Esperanto"
inherit aspell-dict
LICENSE="GPL-2"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE=""

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,2 +1 @@
DIST aspell-es-0.50-2.tar.bz2 157809 SHA256 5c0e2a32d44196fb0375e72d44e730fd365d62e53ade077fb1653ccbb8ee2645 SHA512 50b3064a739e671a935b1110ddbc0a9f6a509b198cdc1987dbfc0d612fbfe5c1b95330e18739e090bde3ac0d33ac5edb2d823059c4efccd80f86af1afb56dd44 WHIRLPOOL e89f0f98163c707e4d1fc1e066570612375970197c6a8648cc8f98cdd5c3bd5fa48aae4b7bb3a4eda23c820ed6555e5fbdb555d27c3e3c75394046976364e7ef
DIST aspell6-es-1.9a-1.tar.bz2 132542 SHA256 8ede7f91b8992f44a65c59098cc71bbe93ab524cb1c85eb04d246ee9bcf787a9 SHA512 7ea228104231a4af395787da41eb14f27b6b864f1512c9ccb72b5f19b4327a0e4ccc37fdc31085b33da83a0b3b45bfe608f0a1361da8297dff2bcd96096f4c06 WHIRLPOOL 526178c29d4605cf99e0914aca4187faf6d8c52062ff69e07406b2afd8939a569e62c872933aab4536d2dab6ad38fae2d90e62e950de9016bc055bfcd96cc4f7

@ -1,12 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-es/aspell-es-0.50.2.ebuild,v 1.11 2012/05/17 19:55:01 aballier Exp $
ASPELL_LANG="Spanish"
inherit aspell-dict
LICENSE="GPL-2"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE=""

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,12 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-fr/aspell-fr-0.50.3.ebuild,v 1.10 2012/05/17 19:57:27 aballier Exp $
ASPELL_LANG="French"
inherit aspell-dict
LICENSE="GPL-2"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd"
IUSE=""

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,2 +1 @@
DIST aspell-ga-0.50-3.tar.bz2 394738 SHA256 f8591842a093bc109559f2a6a7afd8ab834eae8d5394a673c4de1014f93b4b24 SHA512 04e5d4af8551d40f442422c8bc658993fa1a67fe6bf67b28091fe52dea5274e4a08342292bd1912843477fe6eaa3c90acb504a0d3025b1a7c0d70e96ee780eca WHIRLPOOL 44e8277104982a81a93178183395d31a30f5b7521879efe655728726aac878e60a5d1cc88b2730c55c77486e95ef9e68a5afab8634bfc6d0d7df3e55cd989a2c
DIST aspell-ga-0.50-4.tar.bz2 394776 SHA256 d249531e766125667bac491351060780c2c2c65b161a6196b1818670fafb07ce SHA512 631d4e8a6088633be3863e04818b576af861bfbdb90b1641f792c74ca1f61a7d71b1167ae5585245767d628a44e215c2804dd4c2b050c279ee892810203fae0a WHIRLPOOL c1f7b619211c90f534bedaf94e951475dd9f25353a05c9626f4ee93fbb626c1de21aa4c96bd08b8ac57a94ae082ae5448d03ec7a2bf3f3af450d6070a926f663

@ -1,12 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-ga/aspell-ga-0.50.3.ebuild,v 1.9 2012/05/17 19:58:03 aballier Exp $
ASPELL_LANG="Irish"
inherit aspell-dict
LICENSE="GPL-2"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd"
IUSE=""

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,2 +1 @@
DIST aspell-gl-0.50-0.tar.bz2 112313 SHA256 96833bc8301e0ff5fbb3b162f900237e0e806a204f9cae5e005998762cb48f4c SHA512 b9bbcedba9af29892b98a7ecdeaf659f31ea2ef2a5608b0823b60d91b01ad39f5d73c2615398bb8203dc04c6f548ac66e6806d7b7c3d77d41eb406662c51febd WHIRLPOOL 3ac59d770c06dbd339174db765cc8475a1bf69d67ebfcfbd6db50b4fb7bd8ff39ea6739278a6e2a4b7fbec724509e58ed18fe0f22fc815c221d3bacd4651217c
DIST aspell6-gl-0.5a-2.tar.bz2 80043 SHA256 b3cdcf65971e70b8c09fb7f319164c6344a80d260b6e98dc6ecca1e02b7cfc8a SHA512 9c8aae22d23e1cce9c5c94844c35ec3eaa5b76e5049712b714993e7c628a0b8ee250de2ad1b646a6ecffe32ebc0e4f0009a4db041b6f8bde5d021cf71c5cd714 WHIRLPOOL 63cc6bc21533bfd7c459b12c328268b5d7fc1818748859209557fc1831fbe0a6a25dab5f24412b2d31534dcbe4263a984115b8eba7fd5cb04453aece35645c80

@ -1,17 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-gl/aspell-gl-0.5.0.ebuild,v 1.2 2012/05/17 19:58:40 aballier Exp $
ASPELL_LANG="Galician"
inherit aspell-dict
LICENSE="GPL-2"
KEYWORDS="alpha amd64 arm hppa ia64 m68k ~mips ppc ppc64 s390 sh sparc x86 ~amd64-fbsd ~sparc-fbsd ~x86-fbsd"
IUSE=""
MY_P=${P%.*}0-${PV##*.}
MY_P=aspell${ASPOSTFIX}-${MY_P/aspell-/}
S=${WORKDIR}/${MY_P}
SRC_URI="mirror://gnu/aspell/dict/${SPELLANG}/${MY_P}.tar.bz2"

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,3 +1 @@
DIST aspell6-he-0.8-0.tar.bz2 121629 SHA256 5657e95fa6b4ab8f3fa61af0c9e3d2b3235f602eb3a23c3574cbd0e64ee2d37d SHA512 1c86582f1751ae30ffed7ba60d0278d66d6c0cf8f1b683d8f1716a5b1ddb6f1cccfc69e7267c329c2a246130f76f7dae1f1e9f9a554b2f3037b4fc54c4985386 WHIRLPOOL ddc3c0b9c3e1dd0ef6bbaca44b9aa1f1ef1ac024595359747f8d631513961add28d5296f8a834d93717bc51410c7175e15855481b0f93134016a95b7b0937605
DIST aspell6-he-0.9-0.tar.bz2 144899 SHA256 1960486db21a4ad273a0f91627c00afd9f49e5a27daf655e0ac8d6378e333b7f SHA512 64169df6cabb74a8d393cc4ca2944261bd22383ea8c1ba14037e494f7d8ae796c91129f95b3647c580efdeedd182dd25d26a1af13b0e5ef28af219e6137fc705 WHIRLPOOL 37e16d6f0512e683201092cf1db15f49ead0057f1914b4aa4bfb2e232cdc4d716e459f480b2c2321b9a306d002e77a465e659a8ee970a0796b43de908d465e1c
DIST aspell6-he-1.0-0.tar.bz2 122781 SHA256 d64dabac9f40ca9e632a8eee40fc01c7d18a2c699d8f9742000fadd2e15b708d SHA512 4db335c1566432ac8e18bace1f1ab892e47765b9dfb342f981b52637ee6768f592b7d9793c229e7f67f7f4770e6ef4abb9b2dd66da0feef9cc42bfd316adad88 WHIRLPOOL f46e328e54e9b4f50094f56c69ea3b2077eabc8e4647aaf3ea9c96179a9db5424b0d754735a81e8d68556739112dfc9d3ab50c35b8845f8db62fc7740e8fb65a

@ -1,13 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-he/aspell-he-0.8.0.ebuild,v 1.11 2012/05/17 19:59:16 aballier Exp $
ASPELL_LANG="Hebrew"
ASPOSTFIX="6"
inherit aspell-dict
LICENSE="GPL-2"
KEYWORDS="~amd64 ~arm ~hppa ~ia64 ~m68k ~ppc ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""

@ -1,13 +0,0 @@
# Copyright 1999-2012 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: /var/cvsroot/gentoo-x86/app-dicts/aspell-he/aspell-he-0.9.0.ebuild,v 1.8 2012/05/17 19:59:16 aballier Exp $
ASPELL_LANG="Hebrew"
ASPOSTFIX="6"
inherit aspell-dict
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~m68k ~ppc ~s390 ~sh ~sparc ~x86 ~amd64-fbsd ~x86-fbsd"
IUSE=""

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

@ -1,5 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<herd>app-dicts</herd>
<maintainer><email>maintainer-needed@gentoo.org</email></maintainer>
</pkgmetadata>

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save